// python wrapper for vtkMutableDirectedGraph object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMutableDirectedGraph.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDirectedGraphNew(char *); }

static PyObject *PyvtkMutableDirectedGraph_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  const char    *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  char    *temp0;
  int      temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkMutableDirectedGraph  *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMutableDirectedGraph  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMutableDirectedGraph::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddVertex();
      }
    else
      {
      temp20 = op->AddVertex();
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddVertex(temp0);
      }
    else
      {
      temp20 = op->AddVertex(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_LazyAddVertex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::LazyAddVertex();
      }
    else
      {
      op->LazyAddVertex();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkVariantArray  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkVariantArray");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkMutableDirectedGraph::LazyAddVertex(temp0);
      }
    else
      {
      op->LazyAddVertex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddGraphEdge(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp1;
  vtkGraphEdge  *temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LL", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddGraphEdge(temp0,temp1);
      }
    else
      {
      temp20 = op->AddGraphEdge(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMutableDirectedGraph_AddChild(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkVariantArray  *temp1;
  PyObject *tempH1;
  vtkIdType   temp20;
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"LO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkVariantArray *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkVariantArray");
    if (!temp1 && tempH1 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddChild(temp0,temp1);
      }
    else
      {
      temp20 = op->AddChild(temp0,temp1);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkMutableDirectedGraph *op;

  vtkIdType   temp0;
  vtkIdType   temp20;
  PyErr_Clear();
  op = (vtkMutableDirectedGraph *)PyArg_VTKParseTuple(self, args, (char*)"L", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMutableDirectedGraph::AddChild(temp0);
      }
    else
      {
      temp20 = op->AddChild(temp0);
      }
    return PyLong_FromLongLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMutableDirectedGraphMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMutableDirectedGraph_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMutableDirectedGraph_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMutableDirectedGraph_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMutableDirectedGraph_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMutableDirectedGraph\nC++: vtkMutableDirectedGraph *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddVertex",                (PyCFunction)PyvtkMutableDirectedGraph_AddVertex, 1,
   (char*)"V.AddVertex() -> int\nC++: vtkIdType AddVertex ();\nV.AddVertex(vtkVariantArray) -> int\nC++: vtkIdType AddVertex (vtkVariantArray *propertyArr);\n\n Adds a vertex to the graph, and returns the id of that vertex.\n If non-null, propertyArr provides properties that will be attached\n to this vertex. The values in propertyArr must match up with the\n arrays in the vertex data retrieved by GetVertexData.\n In a distributed graph, this routine cannot be used to add a vertex\n if the vertices in the graph have pedigree IDs, because this routine\n will always add the vertex locally, which may conflict with the\n proper location of the vertex based on the distribution of the\n pedigree IDs.\n"},
  {(char*)"LazyAddVertex",                (PyCFunction)PyvtkMutableDirectedGraph_LazyAddVertex, 1,
   (char*)"V.LazyAddVertex()\nC++: void LazyAddVertex ();\nV.LazyAddVertex(vtkVariantArray)\nC++: void LazyAddVertex (vtkVariantArray *propertyArr);\n\n Adds a vertex to the graph, and returns the id of that vertex.\n If non-null, propertyArr provides properties that will be attached\n to this vertex. The values in propertyArr must match up with the\n arrays in the vertex data retrieved by GetVertexData.\n"},
  {(char*)"AddGraphEdge",                (PyCFunction)PyvtkMutableDirectedGraph_AddGraphEdge, 1,
   (char*)"V.AddGraphEdge(int, int) -> vtkGraphEdge\nC++: vtkGraphEdge *AddGraphEdge (vtkIdType u, vtkIdType v);\n\n Version of AddEdge that returns a heavyweight vtkGraphEdge\n for use with wrappers.\n The graph owns the reference of the edge and will replace\n its contents on the next call to AddGraphEdge.\n"},
  {(char*)"AddChild",                (PyCFunction)PyvtkMutableDirectedGraph_AddChild, 1,
   (char*)"V.AddChild(int, vtkVariantArray) -> int\nC++: vtkIdType AddChild (vtkIdType parent, vtkVariantArray *propertyArr);\nV.AddChild(int) -> int\nC++: vtkIdType AddChild (vtkIdType parent);return this AddChild parent \n\n Convenience method for creating trees.\n Returns the newly created vertex id.\n Shortcut for\n <code>\n vtkIdType v = g->AddVertex();\n g->AddEdge(parent, v);\n </code>\n If provided, propertyArr provides edge properties\n for the newly-created edge. The values in propertyArr must match\n up with the arrays in the edge data returned by GetEdgeData.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMutableDirectedGraphDoc[] = {
  (char*)"vtkMutableDirectedGraph - An editable directed graph.\n\n",
  "Super Class:\n\n vtkDirectedGraph\n\n",
  (char*)" vtkMutableDirectedGraph is a directed graph which has additional methods\n for adding edges and vertices. AddChild() is a convenience method for\n constructing trees. ShallowCopy(), DeepCopy(), CheckedShallowCopy() and \n CheckedDeepCopy() will succeed for instances of vtkDirectedGraph, \n vtkMutableDirectedGraph and vtkTree.\n\n\n",
  "See Also:\n\n vtkDirectedGraph vtkGraph vtkTree\n\n",
  NULL
};

static vtkObjectBase *vtkMutableDirectedGraphStaticNew()
{
  return vtkMutableDirectedGraph::New();
}

PyObject *PyVTKClass_vtkMutableDirectedGraphNew(char *modulename)
{
  return PyVTKClass_New(&vtkMutableDirectedGraphStaticNew,
                        PyvtkMutableDirectedGraphMethods,
                        (char*)"vtkMutableDirectedGraph",modulename,
                        (char**)vtkMutableDirectedGraphDoc,
                        PyVTKClass_vtkDirectedGraphNew(modulename));
}

