// python wrapper for vtkGeoGraphRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoGraphRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoGraphRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoGraphRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(char *); }

static PyObject *PyvtkGeoGraphRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkGeoGraphRepresentation  *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoGraphRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoGraphRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetInputConnection(temp0);
      }
    else
      {
      op->SetInputConnection(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetVertexLabelArrayName(temp0);
      }
    else
      {
      op->SetVertexLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetVertexLabelArrayName();
      }
    else
      {
      temp20 = op->GetVertexLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetVertexLabelVisibility(temp0);
      }
    else
      {
      op->SetVertexLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetVertexLabelVisibility();
      }
    else
      {
      temp20 = op->GetVertexLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_VertexLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::VertexLabelVisibilityOn();
      }
    else
      {
      op->VertexLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_VertexLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::VertexLabelVisibilityOff();
      }
    else
      {
      op->VertexLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetExplodeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  double   temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetExplodeFactor(temp0);
      }
    else
      {
      op->SetExplodeFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetExplodeFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  double   temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetExplodeFactor();
      }
    else
      {
      temp20 = op->GetExplodeFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  int      temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetNumberOfSubdivisions(temp0);
      }
    else
      {
      op->SetNumberOfSubdivisions(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetNumberOfSubdivisions(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  int      temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetNumberOfSubdivisions();
      }
    else
      {
      temp20 = op->GetNumberOfSubdivisions();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetLatitudeArrayName(temp0);
      }
    else
      {
      op->SetLatitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetLatitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetLatitudeArrayName();
      }
    else
      {
      temp20 = op->GetLatitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetLongitudeArrayName(temp0);
      }
    else
      {
      op->SetLongitudeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetLongitudeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetLongitudeArrayName();
      }
    else
      {
      temp20 = op->GetLongitudeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  int      temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetVertexLabelFontSize(temp0);
      }
    else
      {
      op->SetVertexLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  int      temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetVertexLabelFontSize();
      }
    else
      {
      temp20 = op->GetVertexLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetColorVertices(temp0);
      }
    else
      {
      op->SetColorVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetColorVertices();
      }
    else
      {
      temp20 = op->GetColorVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_ColorVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::ColorVerticesOn();
      }
    else
      {
      op->ColorVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_ColorVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::ColorVerticesOff();
      }
    else
      {
      op->ColorVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_EdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::EdgeLabelVisibilityOn();
      }
    else
      {
      op->EdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_EdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::EdgeLabelVisibilityOff();
      }
    else
      {
      op->EdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkEdgeLayoutStrategy  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEdgeLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEdgeLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeLayoutStrategy(temp0);
      }
    else
      {
      op->SetEdgeLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetEdgeLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkEdgeLayoutStrategy  *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetEdgeLayoutStrategy();
      }
    else
      {
      temp20 = op->GetEdgeLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeLayoutStrategyToGeo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeLayoutStrategyToGeo();
      }
    else
      {
      op->SetEdgeLayoutStrategyToGeo();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeLayoutStrategyToArcParallel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeLayoutStrategyToArcParallel();
      }
    else
      {
      op->SetEdgeLayoutStrategyToArcParallel();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  int      temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  int      temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  bool   temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  char    *temp0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  const char    *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_SetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkAbstractTransform  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractTransform *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractTransform");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::SetTransform(temp0);
      }
    else
      {
      op->SetTransform(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_GetTransform(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkAbstractTransform  *temp20;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoGraphRepresentation::GetTransform();
      }
    else
      {
      temp20 = op->GetTransform();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkGeoGraphRepresentation_PrepareForRendering(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoGraphRepresentation *op;

  op = (vtkGeoGraphRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoGraphRepresentation::PrepareForRendering();
      }
    else
      {
      op->PrepareForRendering();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoGraphRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoGraphRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoGraphRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoGraphRepresentation\nC++: vtkGeoGraphRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoGraphRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoGraphRepresentation\nC++: vtkGeoGraphRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputConnection",                (PyCFunction)PyvtkGeoGraphRepresentation_SetInputConnection, 1,
   (char*)"V.SetInputConnection(vtkAlgorithmOutput)\nC++: virtual void SetInputConnection (vtkAlgorithmOutput *conn);\n\n Sets the input pipeline connection to this representation.\n"},
  {(char*)"SetVertexLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_SetVertexLabelArrayName, 1,
   (char*)"V.SetVertexLabelArrayName(string)\nC++: virtual void SetVertexLabelArrayName (const char *name);\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"GetVertexLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetVertexLabelArrayName, 1,
   (char*)"V.GetVertexLabelArrayName() -> string\nC++: virtual const char *GetVertexLabelArrayName ();\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"SetVertexLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation_SetVertexLabelVisibility, 1,
   (char*)"V.SetVertexLabelVisibility(bool)\nC++: virtual void SetVertexLabelVisibility (bool b);\n\n Whether to show vertex labels.\n"},
  {(char*)"GetVertexLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation_GetVertexLabelVisibility, 1,
   (char*)"V.GetVertexLabelVisibility() -> bool\nC++: virtual bool GetVertexLabelVisibility ();\n\n Whether to show vertex labels.\n"},
  {(char*)"VertexLabelVisibilityOn",                (PyCFunction)PyvtkGeoGraphRepresentation_VertexLabelVisibilityOn, 1,
   (char*)"V.VertexLabelVisibilityOn()\nC++: virtual void VertexLabelVisibilityOn ();this SetVertexLabelVisibility true \n\n Whether to show vertex labels.\n"},
  {(char*)"VertexLabelVisibilityOff",                (PyCFunction)PyvtkGeoGraphRepresentation_VertexLabelVisibilityOff, 1,
   (char*)"V.VertexLabelVisibilityOff()\nC++: virtual void VertexLabelVisibilityOff ();this SetVertexLabelVisibility false \n\n Sets the explode factor for the geo arcs.\n"},
  {(char*)"SetExplodeFactor",                (PyCFunction)PyvtkGeoGraphRepresentation_SetExplodeFactor, 1,
   (char*)"V.SetExplodeFactor(float)\nC++: virtual void SetExplodeFactor (double factor);\n\n Sets the explode factor for the geo arcs.\n"},
  {(char*)"GetExplodeFactor",                (PyCFunction)PyvtkGeoGraphRepresentation_GetExplodeFactor, 1,
   (char*)"V.GetExplodeFactor() -> float\nC++: virtual double GetExplodeFactor ();\n\n Sets the explode factor for the geo arcs.\n"},
  {(char*)"SetNumberOfSubdivisions",                (PyCFunction)PyvtkGeoGraphRepresentation_SetNumberOfSubdivisions, 1,
   (char*)"V.SetNumberOfSubdivisions(int)\nC++: virtual void SetNumberOfSubdivisions (int num);\n\n The number of subdivisions per arc.\n"},
  {(char*)"GetNumberOfSubdivisions",                (PyCFunction)PyvtkGeoGraphRepresentation_GetNumberOfSubdivisions, 1,
   (char*)"V.GetNumberOfSubdivisions() -> int\nC++: virtual int GetNumberOfSubdivisions ();\n\n The number of subdivisions per arc.\n"},
  {(char*)"SetLatitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_SetLatitudeArrayName, 1,
   (char*)"V.SetLatitudeArrayName(string)\nC++: virtual void SetLatitudeArrayName (const char *name);\n\n The point array holding the latitude.\n"},
  {(char*)"GetLatitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetLatitudeArrayName, 1,
   (char*)"V.GetLatitudeArrayName() -> string\nC++: virtual const char *GetLatitudeArrayName ();\n\n The point array holding the latitude.\n"},
  {(char*)"SetLongitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_SetLongitudeArrayName, 1,
   (char*)"V.SetLongitudeArrayName(string)\nC++: virtual void SetLongitudeArrayName (const char *name);\n\n The point array holding the longitude.\n"},
  {(char*)"GetLongitudeArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetLongitudeArrayName, 1,
   (char*)"V.GetLongitudeArrayName() -> string\nC++: virtual const char *GetLongitudeArrayName ();\n\n The point array holding the longitude.\n"},
  {(char*)"SetVertexLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation_SetVertexLabelFontSize, 1,
   (char*)"V.SetVertexLabelFontSize(int)\nC++: void SetVertexLabelFontSize (int size);\n\n The size of the vertex labels in pixels.\n"},
  {(char*)"GetVertexLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation_GetVertexLabelFontSize, 1,
   (char*)"V.GetVertexLabelFontSize() -> int\nC++: int GetVertexLabelFontSize ();\n\n The size of the vertex labels in pixels.\n"},
  {(char*)"SetColorVertices",                (PyCFunction)PyvtkGeoGraphRepresentation_SetColorVertices, 1,
   (char*)"V.SetColorVertices(bool)\nC++: void SetColorVertices (bool b);\n\n Whether to color vertices using a data array.\n"},
  {(char*)"GetColorVertices",                (PyCFunction)PyvtkGeoGraphRepresentation_GetColorVertices, 1,
   (char*)"V.GetColorVertices() -> bool\nC++: bool GetColorVertices ();\n\n Whether to color vertices using a data array.\n"},
  {(char*)"ColorVerticesOn",                (PyCFunction)PyvtkGeoGraphRepresentation_ColorVerticesOn, 1,
   (char*)"V.ColorVerticesOn()\nC++: void ColorVerticesOn ();\n\n Whether to color vertices using a data array.\n"},
  {(char*)"ColorVerticesOff",                (PyCFunction)PyvtkGeoGraphRepresentation_ColorVerticesOff, 1,
   (char*)"V.ColorVerticesOff()\nC++: void ColorVerticesOff ();\n\n Whether to color vertices using a data array.\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: void SetVertexColorArrayName (const char *name);\n\n The data array to use to color vertices.\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: const char *GetVertexColorArrayName ();\n\n The data array to use to color vertices.\n"},
  {(char*)"SetEdgeLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeLabelVisibility, 1,
   (char*)"V.SetEdgeLabelVisibility(bool)\nC++: void SetEdgeLabelVisibility (bool b);\n\n Whether to show edge labels.\n"},
  {(char*)"GetEdgeLabelVisibility",                (PyCFunction)PyvtkGeoGraphRepresentation_GetEdgeLabelVisibility, 1,
   (char*)"V.GetEdgeLabelVisibility() -> bool\nC++: bool GetEdgeLabelVisibility ();\n\n Whether to show edge labels.\n"},
  {(char*)"EdgeLabelVisibilityOn",                (PyCFunction)PyvtkGeoGraphRepresentation_EdgeLabelVisibilityOn, 1,
   (char*)"V.EdgeLabelVisibilityOn()\nC++: void EdgeLabelVisibilityOn ();\n\n Whether to show edge labels.\n"},
  {(char*)"EdgeLabelVisibilityOff",                (PyCFunction)PyvtkGeoGraphRepresentation_EdgeLabelVisibilityOff, 1,
   (char*)"V.EdgeLabelVisibilityOff()\nC++: void EdgeLabelVisibilityOff ();\n\n Whether to show edge labels.\n"},
  {(char*)"SetEdgeLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeLabelArrayName, 1,
   (char*)"V.SetEdgeLabelArrayName(string)\nC++: void SetEdgeLabelArrayName (const char *name);\n\n The data array to use for labelling edges.\n"},
  {(char*)"GetEdgeLabelArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetEdgeLabelArrayName, 1,
   (char*)"V.GetEdgeLabelArrayName() -> string\nC++: const char *GetEdgeLabelArrayName ();\n\n The data array to use for labelling edges.\n"},
  {(char*)"SetEdgeLayoutStrategy",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeLayoutStrategy, 1,
   (char*)"V.SetEdgeLayoutStrategy(vtkEdgeLayoutStrategy)\nC++: virtual void SetEdgeLayoutStrategy (vtkEdgeLayoutStrategy *strategy);\n\n The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n"},
  {(char*)"GetEdgeLayoutStrategy",                (PyCFunction)PyvtkGeoGraphRepresentation_GetEdgeLayoutStrategy, 1,
   (char*)"V.GetEdgeLayoutStrategy() -> vtkEdgeLayoutStrategy\nC++: virtual vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy ();\n\n The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n"},
  {(char*)"SetEdgeLayoutStrategyToGeo",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeLayoutStrategyToGeo, 1,
   (char*)"V.SetEdgeLayoutStrategyToGeo()\nC++: virtual void SetEdgeLayoutStrategyToGeo ();\n\n The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n"},
  {(char*)"SetEdgeLayoutStrategyToArcParallel",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeLayoutStrategyToArcParallel, 1,
   (char*)"V.SetEdgeLayoutStrategyToArcParallel()\nC++: virtual void SetEdgeLayoutStrategyToArcParallel ();\n\n The edge layout strategy to use.\n The default is vtkGeoEdgeStrategy.\n"},
  {(char*)"SetEdgeLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeLabelFontSize, 1,
   (char*)"V.SetEdgeLabelFontSize(int)\nC++: void SetEdgeLabelFontSize (int size);\n\n The size of edge labels in pixels.\n"},
  {(char*)"GetEdgeLabelFontSize",                (PyCFunction)PyvtkGeoGraphRepresentation_GetEdgeLabelFontSize, 1,
   (char*)"V.GetEdgeLabelFontSize() -> int\nC++: int GetEdgeLabelFontSize ();\n\n The size of edge labels in pixels.\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkGeoGraphRepresentation_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool b);\n\n Whether to color edges using a data array.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkGeoGraphRepresentation_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to color edges using a data array.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkGeoGraphRepresentation_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to color edges using a data array.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkGeoGraphRepresentation_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to color edges using a data array.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The data array to use for coloring edges.\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkGeoGraphRepresentation_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The data array to use for coloring edges.\n"},
  {(char*)"SetTransform",                (PyCFunction)PyvtkGeoGraphRepresentation_SetTransform, 1,
   (char*)"V.SetTransform(vtkAbstractTransform)\nC++: void SetTransform (vtkAbstractTransform *trans);\n\n The transform used in vtkGeoAssignCoordinates to transform\n the vertex locations from lat/long to world coordinates.\n"},
  {(char*)"GetTransform",                (PyCFunction)PyvtkGeoGraphRepresentation_GetTransform, 1,
   (char*)"V.GetTransform() -> vtkAbstractTransform\nC++: vtkAbstractTransform *GetTransform ();\n\n The transform used in vtkGeoAssignCoordinates to transform\n the vertex locations from lat/long to world coordinates.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkGeoGraphRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply a theme to this view.\n"},
  {(char*)"PrepareForRendering",                (PyCFunction)PyvtkGeoGraphRepresentation_PrepareForRendering, 1,
   (char*)"V.PrepareForRendering()\nC++: virtual void PrepareForRendering ();\n\n Called by the view when the renderer is about to render.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoGraphRepresentationDoc[] = {
  (char*)"vtkGeoGraphRepresentation - Displays a graph on a earth view.\n\n",
  "Super Class:\n\n vtkDataRepresentation\n\n",
  (char*)" vtkGeoGraphRepresentation is used to show a graph in a 3D geo view.\n Set the graph input with SetInputConnection(), then add the representation\n to a vtkGeoView.\n\n\n",
  "See Also:\n\n vtkGeoView\n\n",
  NULL
};

static vtkObjectBase *vtkGeoGraphRepresentationStaticNew()
{
  return vtkGeoGraphRepresentation::New();
}

PyObject *PyVTKClass_vtkGeoGraphRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoGraphRepresentationStaticNew,
                        PyvtkGeoGraphRepresentationMethods,
                        (char*)"vtkGeoGraphRepresentation",modulename,
                        (char**)vtkGeoGraphRepresentationDoc,
                        PyVTKClass_vtkDataRepresentationNew(modulename));
}

