// tcl wrapper for vtkGeoLineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGeoLineRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkGeoLineRepresentationNewCommand()
{
  vtkGeoLineRepresentation *temp = vtkGeoLineRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkDataRepresentationCppCommand(vtkDataRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkGeoLineRepresentationCppCommand(vtkGeoLineRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkGeoLineRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkGeoLineRepresentationCppCommand(static_cast<vtkGeoLineRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkGeoLineRepresentationCppCommand(vtkGeoLineRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkGeoLineRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataRepresentationCppCommand(static_cast<vtkDataRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkGeoLineRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoLineRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkGeoLineRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoLineRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkGeoLineRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGeoLineRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLatitudeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLatitudeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLatitudeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLatitudeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLongitudeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLongitudeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongitudeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLongitudeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPointVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetPointVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetPointVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PointVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PointVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForRendering",argv[1]))&&(argc == 2))
    {
    op->PrepareForRendering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCoordinatesInArrays",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetCoordinatesInArrays(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCoordinatesInArrays",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetCoordinatesInArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CoordinatesInArraysOn",argv[1]))&&(argc == 2))
    {
    op->CoordinatesInArraysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CoordinatesInArraysOff",argv[1]))&&(argc == 2))
    {
    op->CoordinatesInArraysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkAbstractTransform  *temp0;
    error = 0;

    temp0 = (vtkAbstractTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractTransform"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkGeoLineRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkGeoLineRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLatitudeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLatitudeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetLongitudeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongitudeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetPointVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PointVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PointVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForRendering\n",NULL);
    Tcl_AppendResult(interp,"  SetCoordinatesInArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCoordinatesInArrays\n",NULL);
    Tcl_AppendResult(interp,"  CoordinatesInArraysOn\n",NULL);
    Tcl_AppendResult(interp,"  CoordinatesInArraysOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetPointVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetPointVisibility" );
    Tcl_DStringAppendElement ( &dString, "PointVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "PointVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "PrepareForRendering" );
    Tcl_DStringAppendElement ( &dString, "SetCoordinatesInArrays" );
    Tcl_DStringAppendElement ( &dString, "GetCoordinatesInArrays" );
    Tcl_DStringAppendElement ( &dString, "CoordinatesInArraysOn" );
    Tcl_DStringAppendElement ( &dString, "CoordinatesInArraysOff" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkGeoLineRepresentation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Sets the input pipeline connection to this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection (vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLatitudeArrayName */
    if ( strcmp ( argv[2], "SetLatitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLatitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLatitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the latitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLatitudeArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SetLatitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLatitudeArrayName */
    if ( strcmp ( argv[2], "GetLatitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLatitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLatitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the latitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLatitudeArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for GetLatitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLongitudeArrayName */
    if ( strcmp ( argv[2], "SetLongitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLongitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLongitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the longitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLongitudeArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SetLongitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLongitudeArrayName */
    if ( strcmp ( argv[2], "GetLongitudeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLongitudeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLongitudeArrayName */
    Tcl_DStringAppendElement ( &dString, " The point array holding the longitude.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLongitudeArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for GetLongitudeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointVisibility */
    if ( strcmp ( argv[2], "SetPointVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show points along the lines.\n This includes interpolated vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointVisibility (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SetPointVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointVisibility */
    if ( strcmp ( argv[2], "GetPointVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show points along the lines.\n This includes interpolated vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetPointVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for GetPointVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointVisibilityOn */
    if ( strcmp ( argv[2], "PointVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show points along the lines.\n This includes interpolated vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for PointVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointVisibilityOff */
    if ( strcmp ( argv[2], "PointVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show points along the lines.\n This includes interpolated vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for PointVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrepareForRendering */
    if ( strcmp ( argv[2], "PrepareForRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareForRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareForRendering */
    Tcl_DStringAppendElement ( &dString, " Called by the view when the renderer is about to render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrepareForRendering ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for PrepareForRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoordinatesInArrays */
    if ( strcmp ( argv[2], "SetCoordinatesInArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoordinatesInArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoordinatesInArrays */
    Tcl_DStringAppendElement ( &dString, " If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCoordinatesInArrays (bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SetCoordinatesInArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoordinatesInArrays */
    if ( strcmp ( argv[2], "GetCoordinatesInArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoordinatesInArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoordinatesInArrays */
    Tcl_DStringAppendElement ( &dString, " If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetCoordinatesInArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for GetCoordinatesInArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CoordinatesInArraysOn */
    if ( strcmp ( argv[2], "CoordinatesInArraysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CoordinatesInArraysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CoordinatesInArraysOn */
    Tcl_DStringAppendElement ( &dString, " If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n" );
    Tcl_DStringAppendElement ( &dString, "void CoordinatesInArraysOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for CoordinatesInArraysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CoordinatesInArraysOff */
    if ( strcmp ( argv[2], "CoordinatesInArraysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CoordinatesInArraysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CoordinatesInArraysOff */
    Tcl_DStringAppendElement ( &dString, " If on, uses LatitudeArrayName and LongitudeArrayName to\n move values in data arrays into the points of the data set.\n Turn off if the lattitude and longitude are already in\n the points.x\n" );
    Tcl_DStringAppendElement ( &dString, "void CoordinatesInArraysOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for CoordinatesInArraysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " The transform to use for transforming lat/long points into\n world coordinates. If null, use spherical world model (default).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform (vtkAbstractTransform *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " The transform to use for transforming lat/long points into\n world coordinates. If null, use spherical world model (default).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractTransform *GetTransform ();" );
    Tcl_DStringAppendElement ( &dString, "vtkGeoLineRepresentation" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataRepresentationCppCommand(static_cast<vtkDataRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
