// python wrapper for vtkGeoSampleArcs object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGeoSampleArcs.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGeoSampleArcsNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGeoSampleArcsNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(char *); }

static PyObject *PyvtkGeoSampleArcs_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  const char    *temp20;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSampleArcs::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  char    *temp0;
  int      temp20;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSampleArcs::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  vtkGeoSampleArcs  *temp20;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSampleArcs::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGeoSampleArcs  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGeoSampleArcs::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_SetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  double   temp0;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSampleArcs::SetGlobeRadius(temp0);
      }
    else
      {
      op->SetGlobeRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_GetGlobeRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  double   temp20;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSampleArcs::GetGlobeRadius();
      }
    else
      {
      temp20 = op->GetGlobeRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_SetMaximumDistanceMeters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  double   temp0;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGeoSampleArcs::SetMaximumDistanceMeters(temp0);
      }
    else
      {
      op->SetMaximumDistanceMeters(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGeoSampleArcs_GetMaximumDistanceMeters(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGeoSampleArcs *op;

  double   temp20;
  op = (vtkGeoSampleArcs *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGeoSampleArcs::GetMaximumDistanceMeters();
      }
    else
      {
      temp20 = op->GetMaximumDistanceMeters();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGeoSampleArcsMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGeoSampleArcs_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGeoSampleArcs_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGeoSampleArcs_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGeoSampleArcs\nC++: vtkGeoSampleArcs *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGeoSampleArcs_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGeoSampleArcs\nC++: vtkGeoSampleArcs *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetGlobeRadius",                (PyCFunction)PyvtkGeoSampleArcs_SetGlobeRadius, 1,
   (char*)"V.SetGlobeRadius(float)\nC++: void SetGlobeRadius (double );\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n"},
  {(char*)"GetGlobeRadius",                (PyCFunction)PyvtkGeoSampleArcs_GetGlobeRadius, 1,
   (char*)"V.GetGlobeRadius() -> float\nC++: double GetGlobeRadius ();\n\n The base radius used to determine the earth's surface.\n Default is the earth's radius in meters.\n TODO: Change this to take in a vtkGeoTerrain to get altitude.\n"},
  {(char*)"SetMaximumDistanceMeters",                (PyCFunction)PyvtkGeoSampleArcs_SetMaximumDistanceMeters, 1,
   (char*)"V.SetMaximumDistanceMeters(float)\nC++: void SetMaximumDistanceMeters (double );\n\n The maximum distance, in meters, between adjacent points.\n"},
  {(char*)"GetMaximumDistanceMeters",                (PyCFunction)PyvtkGeoSampleArcs_GetMaximumDistanceMeters, 1,
   (char*)"V.GetMaximumDistanceMeters() -> float\nC++: double GetMaximumDistanceMeters ();\n\n The maximum distance, in meters, between adjacent points.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGeoSampleArcsDoc[] = {
  (char*)"vtkGeoSampleArcs - Samples geospatial lines at regular intervals.\n\n",
  "Super Class:\n\n vtkPolyDataAlgorithm\n\n",
  (char*)" vtkGeoSampleArcs refines lines in the input polygonal data\n so that the distance between adjacent points is no more than a threshold\n distance. Points are interpolated along the surface of the globe.\n This is useful in order to keep lines such as political boundaries from\n intersecting the globe and becoming invisible.\n\n",
  NULL
};

static vtkObjectBase *vtkGeoSampleArcsStaticNew()
{
  return vtkGeoSampleArcs::New();
}

PyObject *PyVTKClass_vtkGeoSampleArcsNew(char *modulename)
{
  return PyVTKClass_New(&vtkGeoSampleArcsStaticNew,
                        PyvtkGeoSampleArcsMethods,
                        (char*)"vtkGeoSampleArcs",modulename,
                        (char**)vtkGeoSampleArcsDoc,
                        PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
}

