// python wrapper for vtkGradientFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkGradientFilter.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGradientFilterNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGradientFilterNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkGradientFilter_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  const char    *temp20;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGradientFilter::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  char    *temp0;
  int      temp20;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGradientFilter::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  vtkGradientFilter  *temp20;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGradientFilter::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkGradientFilter  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkGradientFilter::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkGradientFilter_SetInputScalars(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  int      temp0;
  char    *temp1;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGradientFilter::SetInputScalars(temp0,temp1);
      }
    else
      {
      op->SetInputScalars(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  int      temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGradientFilter::SetInputScalars(temp0,temp1);
      }
    else
      {
      op->SetInputScalars(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_GetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  char    *temp20;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGradientFilter::GetResultArrayName();
      }
    else
      {
      temp20 = op->GetResultArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_SetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  char    *temp0;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGradientFilter::SetResultArrayName(temp0);
      }
    else
      {
      op->SetResultArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_GetFasterApproximation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  int      temp20;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkGradientFilter::GetFasterApproximation();
      }
    else
      {
      temp20 = op->GetFasterApproximation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_SetFasterApproximation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  int      temp0;
  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGradientFilter::SetFasterApproximation(temp0);
      }
    else
      {
      op->SetFasterApproximation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_FasterApproximationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGradientFilter::FasterApproximationOn();
      }
    else
      {
      op->FasterApproximationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkGradientFilter_FasterApproximationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkGradientFilter *op;

  op = (vtkGradientFilter *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkGradientFilter::FasterApproximationOff();
      }
    else
      {
      op->FasterApproximationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkGradientFilterMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkGradientFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkGradientFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkGradientFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGradientFilter\nC++: vtkGradientFilter *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkGradientFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGradientFilter\nC++: vtkGradientFilter *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetInputScalars",                (PyCFunction)PyvtkGradientFilter_SetInputScalars, 1,
   (char*)"V.SetInputScalars(int, string)\nC++: virtual void SetInputScalars (int fieldAssociation, const char *name);\nV.SetInputScalars(int, int)\nC++: virtual void SetInputScalars (int fieldAssociation, int fieldAttributeType);\n\n These are basically a convenience method that calls SetInputArrayToProcess\n to set the array used as the input scalars.  The fieldAssociation comes\n from the vtkDataObject::FieldAssocations enum.  The fieldAttributeType\n comes from the vtkDataSetAttributes::AttributeTypes enum.\n"},
  {(char*)"GetResultArrayName",                (PyCFunction)PyvtkGradientFilter_GetResultArrayName, 1,
   (char*)"V.GetResultArrayName() -> string\nC++: char *GetResultArrayName ();\n\n Get/Set the name of the resulting array to create.  If NULL (the\n default) then the output array will be named \"Gradients\".\n"},
  {(char*)"SetResultArrayName",                (PyCFunction)PyvtkGradientFilter_SetResultArrayName, 1,
   (char*)"V.SetResultArrayName(string)\nC++: void SetResultArrayName (char *);\n\n Get/Set the name of the resulting array to create.  If NULL (the\n default) then the output array will be named \"Gradients\".\n"},
  {(char*)"GetFasterApproximation",                (PyCFunction)PyvtkGradientFilter_GetFasterApproximation, 1,
   (char*)"V.GetFasterApproximation() -> int\nC++: int GetFasterApproximation ();\n\n When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n"},
  {(char*)"SetFasterApproximation",                (PyCFunction)PyvtkGradientFilter_SetFasterApproximation, 1,
   (char*)"V.SetFasterApproximation(int)\nC++: void SetFasterApproximation (int );\n\n When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n"},
  {(char*)"FasterApproximationOn",                (PyCFunction)PyvtkGradientFilter_FasterApproximationOn, 1,
   (char*)"V.FasterApproximationOn()\nC++: void FasterApproximationOn ();\n\n When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n"},
  {(char*)"FasterApproximationOff",                (PyCFunction)PyvtkGradientFilter_FasterApproximationOff, 1,
   (char*)"V.FasterApproximationOff()\nC++: void FasterApproximationOff ();\n\n When this flag is on (default is off), the gradient filter will provide a\n less accurate (but close) algorithm that performs fewer derivative\n calculations (and is therefore faster).  The error contains some smoothing\n of the output data and some possible errors on the boundary.  This\n parameter has no effect when performing the gradient of cell data.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkGradientFilterDoc[] = {
  (char*)"vtkGradientFilter - A general filter for gradient estimation.\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" Estimates the gradient of a scalar field in a data set.  This class\n is basically designed for unstructured data sets (i.e.\n vtkUnstructuredGrid).  More efficient filters exist for vtkImageData.\n\n\n",
  NULL
};

static vtkObjectBase *vtkGradientFilterStaticNew()
{
  return vtkGradientFilter::New();
}

PyObject *PyVTKClass_vtkGradientFilterNew(char *modulename)
{
  return PyVTKClass_New(&vtkGradientFilterStaticNew,
                        PyvtkGradientFilterMethods,
                        (char*)"vtkGradientFilter",modulename,
                        (char**)vtkGradientFilterDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

