// tcl wrapper for vtkStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkStatisticsAlgorithm.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkStatisticsAlgorithmCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkStatisticsAlgorithmCppCommand(static_cast<vtkStatisticsAlgorithm *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkStatisticsAlgorithmCppCommand(vtkStatisticsAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkStatisticsAlgorithm",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkStatisticsAlgorithm  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStatisticsAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SetInputStatisticsConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputStatisticsConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfVariables",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfVariables(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVariables",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfVariables();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSampleSize",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSampleSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleSize",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetSampleSize();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLearn",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLearn(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLearn",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLearn();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDerive",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDerive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDerive",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDerive();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAssess",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAssess(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssess",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAssess();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFullModelDerived",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsFullModelDerived();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColumnStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetColumnStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetAllColumnStates",argv[1]))&&(argc == 2))
    {
    op->ResetAllColumnStates();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RequestSelectedColumns",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RequestSelectedColumns();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetRequests",argv[1]))&&(argc == 2))
    {
    op->ResetRequests();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkStatisticsAlgorithmCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkStatisticsAlgorithm:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetInputStatisticsConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfVariables\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariables\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleSize\n",NULL);
    Tcl_AppendResult(interp,"  SetLearn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLearn\n",NULL);
    Tcl_AppendResult(interp,"  SetDerive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDerive\n",NULL);
    Tcl_AppendResult(interp,"  SetAssess\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssess\n",NULL);
    Tcl_AppendResult(interp,"  IsFullModelDerived\n",NULL);
    Tcl_AppendResult(interp,"  SetColumnStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetAllColumnStates\n",NULL);
    Tcl_AppendResult(interp,"  RequestSelectedColumns\n",NULL);
    Tcl_AppendResult(interp,"  ResetRequests\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInputStatisticsConnection" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfVariables" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariables" );
    Tcl_DStringAppendElement ( &dString, "SetSampleSize" );
    Tcl_DStringAppendElement ( &dString, "GetSampleSize" );
    Tcl_DStringAppendElement ( &dString, "SetLearn" );
    Tcl_DStringAppendElement ( &dString, "GetLearn" );
    Tcl_DStringAppendElement ( &dString, "SetDerive" );
    Tcl_DStringAppendElement ( &dString, "GetDerive" );
    Tcl_DStringAppendElement ( &dString, "SetAssess" );
    Tcl_DStringAppendElement ( &dString, "GetAssess" );
    Tcl_DStringAppendElement ( &dString, "IsFullModelDerived" );
    Tcl_DStringAppendElement ( &dString, "SetColumnStatus" );
    Tcl_DStringAppendElement ( &dString, "ResetAllColumnStates" );
    Tcl_DStringAppendElement ( &dString, "RequestSelectedColumns" );
    Tcl_DStringAppendElement ( &dString, "ResetRequests" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputStatisticsConnection */
    if ( strcmp ( argv[2], "SetInputStatisticsConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputStatisticsConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputStatisticsConnection */
    Tcl_DStringAppendElement ( &dString, " A convenience method for setting the statistics table input.\n NB: This is mainly for the benefit of the VTK client/server \n layer, vanilla VTKcode should use, e.g:\n\n stats_algo2->SetInputConnection( 1, stats_algo1->output() );\n\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputStatisticsConnection (vtkAlgorithmOutput *);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetInputStatisticsConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfVariables */
    if ( strcmp ( argv[2], "SetNumberOfVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfVariables */
    Tcl_DStringAppendElement ( &dString, " Set the number of variables.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfVariables (vtkIdType );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetNumberOfVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariables */
    if ( strcmp ( argv[2], "GetNumberOfVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariables */
    Tcl_DStringAppendElement ( &dString, " Get the number of variables.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfVariables ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetNumberOfVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleSize */
    if ( strcmp ( argv[2], "SetSampleSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleSize */
    Tcl_DStringAppendElement ( &dString, " Set the sample size.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleSize (vtkIdType );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetSampleSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSampleSize */
    if ( strcmp ( argv[2], "GetSampleSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleSize */
    Tcl_DStringAppendElement ( &dString, " Get the sample size.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetSampleSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetSampleSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLearn */
    if ( strcmp ( argv[2], "SetLearn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLearn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLearn */
    Tcl_DStringAppendElement ( &dString, " Set the Learn option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLearn (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetLearn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLearn */
    if ( strcmp ( argv[2], "GetLearn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLearn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLearn */
    Tcl_DStringAppendElement ( &dString, " Get the Learn option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLearn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetLearn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDerive */
    if ( strcmp ( argv[2], "SetDerive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDerive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDerive */
    Tcl_DStringAppendElement ( &dString, " Set the Derive option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDerive (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetDerive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDerive */
    if ( strcmp ( argv[2], "GetDerive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDerive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDerive */
    Tcl_DStringAppendElement ( &dString, " Get the Derive option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDerive ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetDerive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssess */
    if ( strcmp ( argv[2], "SetAssess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssess */
    Tcl_DStringAppendElement ( &dString, " Set the Assess option.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAssess (bool );" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetAssess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssess */
    if ( strcmp ( argv[2], "GetAssess" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssess" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssess */
    Tcl_DStringAppendElement ( &dString, " Get the Assess option.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAssess ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for GetAssess */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFullModelDerived */
    if ( strcmp ( argv[2], "IsFullModelDerived" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFullModelDerived" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFullModelDerived */
    Tcl_DStringAppendElement ( &dString, " Add or remove a column from the current analysis request.\n Once all the column status values are set, call RequestSelectedColumns()\n before selecting another set of columns for a different analysis request.\n The way that columns selections are used varies from algorithm to algorithm.\n\n Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer\n until RequestSelectedColumns() is called, at which point the set is appended\n to vtkStatistics ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsFullModelDerived ();return this FullWasDerived " );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for IsFullModelDerived */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColumnStatus */
    if ( strcmp ( argv[2], "SetColumnStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColumnStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColumnStatus */
    Tcl_DStringAppendElement ( &dString, " Add or remove a column from the current analysis request.\n Once all the column status values are set, call RequestSelectedColumns()\n before selecting another set of columns for a different analysis request.\n The way that columns selections are used varies from algorithm to algorithm.\n\n Note: the set of selected columns is maintained in vtkStatisticsAlgorithmPrivate::Buffer\n until RequestSelectedColumns() is called, at which point the set is appended\n to vtkStatistics ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColumnStatus (const char *namCol, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for SetColumnStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetAllColumnStates */
    if ( strcmp ( argv[2], "ResetAllColumnStates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetAllColumnStates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetAllColumnStates */
    Tcl_DStringAppendElement ( &dString, " Set the the status of each and every column in the current request to OFF (0).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetAllColumnStates ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for ResetAllColumnStates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RequestSelectedColumns */
    if ( strcmp ( argv[2], "RequestSelectedColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RequestSelectedColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RequestSelectedColumns */
    Tcl_DStringAppendElement ( &dString, " Use the current column status values to produce a new request for statistics\n to be produced when RequestData() is called. See SetColumnStatus() for more information.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RequestSelectedColumns ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for RequestSelectedColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetRequests */
    if ( strcmp ( argv[2], "ResetRequests" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetRequests" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetRequests */
    Tcl_DStringAppendElement ( &dString, " Empty the list of current requests.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetRequests ();" );
    Tcl_DStringAppendElement ( &dString, "vtkStatisticsAlgorithm" );
    /* Closing for ResetRequests */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
