// python wrapper for vtkUnivariateStatisticsAlgorithm object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkUnivariateStatisticsAlgorithm.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkStatisticsAlgorithmNew(char *); }

static PyObject *PyvtkUnivariateStatisticsAlgorithm_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  const char    *temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  char    *temp0;
  int      temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  vtkUnivariateStatisticsAlgorithm  *temp20;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkUnivariateStatisticsAlgorithm::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_ResetColumns(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnivariateStatisticsAlgorithm::ResetColumns();
      }
    else
      {
      op->ResetColumns();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_AddColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  char    *temp0;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnivariateStatisticsAlgorithm::AddColumn(temp0);
      }
    else
      {
      op->AddColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_RemoveColumn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  char    *temp0;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnivariateStatisticsAlgorithm::RemoveColumn(temp0);
      }
    else
      {
      op->RemoveColumn(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_SetColumnStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  char    *temp0;
  int      temp1;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkUnivariateStatisticsAlgorithm::SetColumnStatus(temp0,temp1);
      }
    else
      {
      op->SetColumnStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkUnivariateStatisticsAlgorithm_ExecuteAssess(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkUnivariateStatisticsAlgorithm *op;

  vtkTable  *temp0;
  PyObject *tempH0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkTable  *temp2;
  PyObject *tempH2;
  vtkDataObject  *temp3;
  PyObject *tempH3;
  op = (vtkUnivariateStatisticsAlgorithm *)PyArg_VTKParseTuple(self, args, (char*)"OOOO", &tempH0, &tempH1, &tempH2, &tempH3);
  if (op)
    {
    temp0 = (vtkTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTable");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break7;
    temp2 = (vtkTable *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkTable");
    if (!temp2 && tempH2 != Py_None) goto break7;
    temp3 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkDataObject");
    if (!temp3 && tempH3 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkUnivariateStatisticsAlgorithm::ExecuteAssess(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->ExecuteAssess(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}

static PyMethodDef PyvtkUnivariateStatisticsAlgorithmMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnivariateStatisticsAlgorithm\nC++: vtkUnivariateStatisticsAlgorithm *NewInstance ();\n\n"},
  {(char*)"ResetColumns",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_ResetColumns, 1,
   (char*)"V.ResetColumns()\nC++: void ResetColumns ();\n\n Reset list of columns of interest\n"},
  {(char*)"AddColumn",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_AddColumn, 1,
   (char*)"V.AddColumn(string)\nC++: void AddColumn (const char *namCol);\n\n Add column name \\p namCol to the list of columns of interest\n Warning: no name checking is performed on \\p namCol; it is the user's\n responsibility to use valid column names.\n"},
  {(char*)"RemoveColumn",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_RemoveColumn, 1,
   (char*)"V.RemoveColumn(string)\nC++: void RemoveColumn (const char *namCol);\n\n Remove (if it exists) column name \\p namCol to the list of columns of interest\n"},
  {(char*)"SetColumnStatus",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_SetColumnStatus, 1,
   (char*)"V.SetColumnStatus(string, int)\nC++: void SetColumnStatus (const char *namCol, int status);\n\n Method for UI to call to add/remove columns to/from the list\n"},
  {(char*)"ExecuteAssess",                (PyCFunction)PyvtkUnivariateStatisticsAlgorithm_ExecuteAssess, 1,
   (char*)"V.ExecuteAssess(vtkTable, vtkDataObject, vtkTable, vtkDataObject)\nC++: virtual void ExecuteAssess (vtkTable *inData, vtkDataObject *inMeta, vtkTable *outData, vtkDataObject *outMeta);\n\n Execute the calculations required by the Assess option.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkUnivariateStatisticsAlgorithmDoc[] = {
  (char*)"vtkUnivariateStatistics - Base class for univariate statistics \n\n",
  "Super Class:\n\n vtkStatisticsAlgorithm\n\n",
  (char*)" This class specializes statistics algorithms to the univariate case, where\n a number of columns of interest can be selected in the input data set.\n This is done by the means of the following functions:\n\n ResetColumns() - reset the list of columns of interest.\n Add/RemoveColum( namCol ) - try to add/remove column with name namCol to/from\n the list.\n SetColumnStatus ( namCol, status ) - mostly for ",
  (char*)"UI wrapping purposes, try to \n add/remove (depending on status) namCol from the list of columns of interest.\n The verb \"try\" is used in the sense that neither attempting to \n repeat an existing entry nor to remove a non-existent entry will work.\n \n .SECTION Thanks\n Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories \n for implementing this class.\n\n",
  NULL
};

PyObject *PyVTKClass_vtkUnivariateStatisticsAlgorithmNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkUnivariateStatisticsAlgorithmMethods,
                        (char*)"vtkUnivariateStatisticsAlgorithm",modulename,
                        (char**)vtkUnivariateStatisticsAlgorithmDoc,
                        PyVTKClass_vtkStatisticsAlgorithmNew(modulename));
}

