// python wrapper for vtkLabelSizeCalculator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLabelSizeCalculator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLabelSizeCalculatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLabelSizeCalculatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(char *); }

static PyObject *PyvtkLabelSizeCalculator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  const char    *temp20;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelSizeCalculator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  char    *temp0;
  int      temp20;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelSizeCalculator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  vtkLabelSizeCalculator  *temp20;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelSizeCalculator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLabelSizeCalculator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLabelSizeCalculator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_SetFontProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelSizeCalculator::SetFontProperty(temp0);
      }
    else
      {
      op->SetFontProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_GetFontProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  vtkTextProperty  *temp20;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelSizeCalculator::GetFontProperty();
      }
    else
      {
      temp20 = op->GetFontProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_SetLabelSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  char    *temp0;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLabelSizeCalculator::SetLabelSizeArrayName(temp0);
      }
    else
      {
      op->SetLabelSizeArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLabelSizeCalculator_GetLabelSizeArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLabelSizeCalculator *op;

  char    *temp20;
  op = (vtkLabelSizeCalculator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLabelSizeCalculator::GetLabelSizeArrayName();
      }
    else
      {
      temp20 = op->GetLabelSizeArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLabelSizeCalculatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLabelSizeCalculator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLabelSizeCalculator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLabelSizeCalculator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLabelSizeCalculator\nC++: vtkLabelSizeCalculator *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLabelSizeCalculator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLabelSizeCalculator\nC++: vtkLabelSizeCalculator *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetFontProperty",                (PyCFunction)PyvtkLabelSizeCalculator_SetFontProperty, 1,
   (char*)"V.SetFontProperty(vtkTextProperty)\nC++: virtual void SetFontProperty (vtkTextProperty *fontProp);\n\n Get/Set the font used compute label sizes.\n This defaults to \"Arial\" at 12 points.\n"},
  {(char*)"GetFontProperty",                (PyCFunction)PyvtkLabelSizeCalculator_GetFontProperty, 1,
   (char*)"V.GetFontProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetFontProperty ();\n\n Get/Set the font used compute label sizes.\n This defaults to \"Arial\" at 12 points.\n"},
  {(char*)"SetLabelSizeArrayName",                (PyCFunction)PyvtkLabelSizeCalculator_SetLabelSizeArrayName, 1,
   (char*)"V.SetLabelSizeArrayName(string)\nC++: void SetLabelSizeArrayName (char *);\n\n The name of the output array containing text label sizes\n This defaults to \"LabelSize\"\n"},
  {(char*)"GetLabelSizeArrayName",                (PyCFunction)PyvtkLabelSizeCalculator_GetLabelSizeArrayName, 1,
   (char*)"V.GetLabelSizeArrayName() -> string\nC++: char *GetLabelSizeArrayName ();\n\n The name of the output array containing text label sizes\n This defaults to \"LabelSize\"\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLabelSizeCalculatorDoc[] = {
  (char*)"vtkLabelSizeCalculator\n\n",
  "Super Class:\n\n vtkPassInputTypeAlgorithm\n\n",
  (char*)" This filter takes an input dataset, an array to process\n (which must be a string array), and a text property.\n It creates a new output array (named \"LabelSize\" by default) with\n 4 components per tuple that contain the width, height, horizontal\n offset, and descender height (in that order) of each string in\n the array.\n\n Use the inherited SelectInputArrayToProcess to indicate a string array.\n In n",
  (char*)"o input array is specified, the first of the following that\n is a string array is used: point scalars, cell scalars, field scalars.\n\n",
  NULL
};

static vtkObjectBase *vtkLabelSizeCalculatorStaticNew()
{
  return vtkLabelSizeCalculator::New();
}

PyObject *PyVTKClass_vtkLabelSizeCalculatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkLabelSizeCalculatorStaticNew,
                        PyvtkLabelSizeCalculatorMethods,
                        (char*)"vtkLabelSizeCalculator",modulename,
                        (char**)vtkLabelSizeCalculatorDoc,
                        PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));
}

