// python wrapper for vtkPointSetToLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointSetToLabelHierarchy.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointSetToLabelHierarchyNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointSetToLabelHierarchyNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkLabelHierarchyAlgorithmNew(char *); }

static PyObject *PyvtkPointSetToLabelHierarchy_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  const char    *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  vtkPointSetToLabelHierarchy  *temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointSetToLabelHierarchy  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointSetToLabelHierarchy::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetTargetLabelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetTargetLabelCount(temp0);
      }
    else
      {
      op->SetTargetLabelCount(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetTargetLabelCount(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetTargetLabelCount();
      }
    else
      {
      temp20 = op->GetTargetLabelCount();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_SetMaximumDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp0;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointSetToLabelHierarchy::SetMaximumDepth(temp0);
      }
    else
      {
      op->SetMaximumDepth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointSetToLabelHierarchy_GetMaximumDepth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointSetToLabelHierarchy *op;

  int      temp20;
  op = (vtkPointSetToLabelHierarchy *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointSetToLabelHierarchy::GetMaximumDepth();
      }
    else
      {
      temp20 = op->GetMaximumDepth();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointSetToLabelHierarchyMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointSetToLabelHierarchy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointSetToLabelHierarchy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointSetToLabelHierarchy\nC++: vtkPointSetToLabelHierarchy *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointSetToLabelHierarchy\nC++: vtkPointSetToLabelHierarchy *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetTargetLabelCount",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetTargetLabelCount, 1,
   (char*)"V.SetTargetLabelCount(int)\nC++: void SetTargetLabelCount (int );\n\n Set/get the \"ideal\" number of labels to associate with each node in the output hierarchy.\n"},
  {(char*)"GetTargetLabelCount",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetTargetLabelCount, 1,
   (char*)"V.GetTargetLabelCount() -> int\nC++: int GetTargetLabelCount ();\n\n Set/get the \"ideal\" number of labels to associate with each node in the output hierarchy.\n"},
  {(char*)"SetMaximumDepth",                (PyCFunction)PyvtkPointSetToLabelHierarchy_SetMaximumDepth, 1,
   (char*)"V.SetMaximumDepth(int)\nC++: void SetMaximumDepth (int );\n\n Set/get the maximum tree depth in the output hierarchy.\n"},
  {(char*)"GetMaximumDepth",                (PyCFunction)PyvtkPointSetToLabelHierarchy_GetMaximumDepth, 1,
   (char*)"V.GetMaximumDepth() -> int\nC++: int GetMaximumDepth ();\n\n Set/get the maximum tree depth in the output hierarchy.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointSetToLabelHierarchyDoc[] = {
  (char*)"vtkPointSetToLabelHierarchy - build a label hierarchy for a graph or point set.\n\n",
  "Super Class:\n\n vtkLabelHierarchyAlgorithm\n\n",
  (char*)"\n Every point in the input vtkPoints object is taken to be an\n anchor point for a label. Statistics on the input points\n are used to subdivide an octree referencing the points\n until the points each octree node contains have a variance\n close to the node size and a limited population (< 100).\n\n",
  NULL
};

static vtkObjectBase *vtkPointSetToLabelHierarchyStaticNew()
{
  return vtkPointSetToLabelHierarchy::New();
}

PyObject *PyVTKClass_vtkPointSetToLabelHierarchyNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointSetToLabelHierarchyStaticNew,
                        PyvtkPointSetToLabelHierarchyMethods,
                        (char*)"vtkPointSetToLabelHierarchy",modulename,
                        (char**)vtkPointSetToLabelHierarchyDoc,
                        PyVTKClass_vtkLabelHierarchyAlgorithmNew(modulename));
}

