// java wrapper for vtkHierarchicalGraphView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalGraphView.h"
#include "vtkJavaUtil.h"

#include <vtksys/ios/sstream>
extern "C" JNIEXPORT void* vtkRenderView_Typecast(void *op,char *dType);

extern "C" JNIEXPORT void* vtkHierarchicalGraphView_Typecast(void *me,char *dType)
{
  void* res;
  if (!strcmp("vtkHierarchicalGraphView",dType)) { return me; }
  if ((res= vtkRenderView_Typecast(me,dType)) != NULL) { return res; }
  return NULL;
}


extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetClassName_10(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetClassName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphView_IsA_11(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  int      temp20;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->IsA(temp0);
  return temp20;
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetHierarchyFromInputConnection_12(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetHierarchyFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetHierarchyFromInput_13(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetHierarchyFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphFromInputConnection_14(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkAlgorithmOutput  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkAlgorithmOutput *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGraphFromInputConnection(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_SetGraphFromInput_15(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkDataObject  *temp0;
  vtkDataRepresentation  *temp20;
  temp0 = (vtkDataObject *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->SetGraphFromInput(temp0);
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetVertexLabelArrayName_16(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetVertexLabelArrayName_17(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetEdgeLabelArrayName_18(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetEdgeLabelArrayName_19(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetVertexLabelVisibility_110(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetVertexLabelVisibility_111(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_VertexLabelVisibilityOn_112(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_VertexLabelVisibilityOff_113(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->VertexLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetEdgeLabelVisibility_114(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetEdgeLabelVisibility_115(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_EdgeLabelVisibilityOn_116(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_EdgeLabelVisibilityOff_117(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->EdgeLabelVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetVertexColorArrayName_118(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetVertexColorArrayName_119(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetColorVertices_120(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorVertices(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetColorVertices_121(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorVertices();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ColorVerticesOn_122(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ColorVerticesOff_123(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorVerticesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetEdgeColorArrayName_124(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetEdgeColorArrayName_125(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeColorArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetEdgeColorToSplineFraction_126(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeColorToSplineFraction();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetColorEdges_127(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetColorEdges(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetColorEdges_128(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetColorEdges();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ColorEdgesOn_129(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ColorEdgesOff_130(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ColorEdgesOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetRadialLayout_131(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialLayout(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetRadialAngle_132(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalGraphView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetRadialAngle(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetLogSpacingFactor_133(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHierarchicalGraphView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLogSpacingFactor(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetLeafSpacing_134(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHierarchicalGraphView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLeafSpacing(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetBundlingStrength_135(JNIEnv *env, jobject obj,jdouble id0)
{
  vtkHierarchicalGraphView *op;
  double   temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetBundlingStrength(temp0);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_GetTreeVisibilityRepresentation_136(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  vtkDataRepresentation  *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTreeVisibilityRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_GetGraphRepresentation_137(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  vtkDataRepresentation  *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetGraphRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_GetTreeRepresentation_138(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  vtkDataRepresentation  *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTreeRepresentation();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetIconTexture_139(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkTexture  *temp0;
  temp0 = (vtkTexture *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconTexture(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_AddIconType_140(JNIEnv *env, jobject obj,jstring id0,jint id1)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  int      temp1;
  temp0 = vtkJavaUTFToChar(env,id0);
  temp1 = id1;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->AddIconType(temp0,temp1);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ClearIconTypes_141(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ClearIconTypes();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetIconAlignment_142(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalGraphView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconAlignment(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetIconVisibility_143(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetIconVisibility_144(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_IconVisibilityOn_145(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->IconVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_IconVisibilityOff_146(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->IconVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetIconArrayName_147(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetIconArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetIconArrayName_148(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetIconArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetTreeEdgeVisibility_149(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetTreeEdgeVisibility(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetTreeEdgeVisibility_150(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetTreeEdgeVisibility();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_TreeEdgeVisibilityOn_151(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->TreeEdgeVisibilityOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_TreeEdgeVisibilityOff_152(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->TreeEdgeVisibilityOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetScalingArrayName_153(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScalingArrayName(temp0);
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetScalingArrayName_154(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScalingArrayName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetScaledGlyphs_155(JNIEnv *env, jobject obj,jboolean id0)
{
  vtkHierarchicalGraphView *op;
  bool   temp0;
  temp0 = (id0 != 0) ? true : false;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetScaledGlyphs(temp0);
}

extern "C" JNIEXPORT jboolean  JNICALL Java_vtk_vtkHierarchicalGraphView_GetScaledGlyphs_156(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  bool   temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetScaledGlyphs();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ScaledGlyphsOn_157(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledGlyphsOn();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ScaledGlyphsOff_158(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ScaledGlyphsOff();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetLayoutStrategy_159(JNIEnv *env, jobject obj,jstring id0)
{
  vtkHierarchicalGraphView *op;
  char    *temp0;
  temp0 = vtkJavaUTFToChar(env,id0);

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetLayoutStrategyToTree_160(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToTree();
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetLayoutStrategyToCosmicTree_161(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategyToCosmicTree();
}

extern "C" JNIEXPORT jstring  JNICALL Java_vtk_vtkHierarchicalGraphView_GetLayoutStrategyName_162(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  const char    *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategyName();
  return vtkJavaMakeJavaString(env,temp20);
}

extern "C" JNIEXPORT jlong  JNICALL Java_vtk_vtkHierarchicalGraphView_GetLayoutStrategy_163(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  vtkGraphLayoutStrategy  *temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetLayoutStrategy();
  return (jlong)(size_t)temp20;}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetLayoutStrategy_164(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkGraphLayoutStrategy  *temp0;
  temp0 = (vtkGraphLayoutStrategy *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetLayoutStrategy(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetupRenderWindow_165(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkRenderWindow  *temp0;
  temp0 = (vtkRenderWindow *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetupRenderWindow(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_ApplyViewTheme_166(JNIEnv *env, jobject obj,jobject id0)
{
  vtkHierarchicalGraphView *op;
  vtkViewTheme  *temp0;
  temp0 = (vtkViewTheme *)(vtkJavaGetPointerFromObject(env,id0));

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->ApplyViewTheme(temp0);
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetVertexLabelFontSize_167(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalGraphView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetVertexLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphView_GetVertexLabelFontSize_168(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  int      temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetVertexLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT void  JNICALL Java_vtk_vtkHierarchicalGraphView_SetEdgeLabelFontSize_169(JNIEnv *env, jobject obj,jint id0)
{
  vtkHierarchicalGraphView *op;
  int      temp0;
  temp0 = id0;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  op->SetEdgeLabelFontSize(temp0);
}

extern "C" JNIEXPORT jint  JNICALL Java_vtk_vtkHierarchicalGraphView_GetEdgeLabelFontSize_170(JNIEnv *env, jobject obj)
{
  vtkHierarchicalGraphView *op;
  int      temp20;

  op = (vtkHierarchicalGraphView *)vtkJavaGetPointerFromObject(env,obj);
  temp20 = (op)->GetEdgeLabelFontSize();
  return temp20;
}

extern "C" JNIEXPORT jlong JNICALL Java_vtk_vtkHierarchicalGraphView_VTKInit(JNIEnv *, jobject)
{
  vtkHierarchicalGraphView *aNewOne = vtkHierarchicalGraphView::New();
  return (jlong)(size_t)(void*)aNewOne;
}
