// python wrapper for vtkHierarchicalGraphView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkHierarchicalGraphView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkHierarchicalGraphViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkHierarchicalGraphViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkRenderViewNew(char *); }

static PyObject *PyvtkHierarchicalGraphView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  int      temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkHierarchicalGraphView  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkHierarchicalGraphView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkHierarchicalGraphView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetHierarchyFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetHierarchyFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetHierarchyFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetHierarchyFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetHierarchyFromInput(temp0);
      }
    else
      {
      temp20 = op->SetHierarchyFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetGraphFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetGraphFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetGraphFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::SetGraphFromInput(temp0);
      }
    else
      {
      temp20 = op->SetGraphFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetVertexLabelArrayName(temp0);
      }
    else
      {
      op->SetVertexLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetVertexLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetVertexLabelArrayName();
      }
    else
      {
      temp20 = op->GetVertexLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetEdgeLabelArrayName(temp0);
      }
    else
      {
      op->SetEdgeLabelArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetEdgeLabelArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetEdgeLabelArrayName();
      }
    else
      {
      temp20 = op->GetEdgeLabelArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetVertexLabelVisibility(temp0);
      }
    else
      {
      op->SetVertexLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetVertexLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetVertexLabelVisibility();
      }
    else
      {
      temp20 = op->GetVertexLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_VertexLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::VertexLabelVisibilityOn();
      }
    else
      {
      op->VertexLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_VertexLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::VertexLabelVisibilityOff();
      }
    else
      {
      op->VertexLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetEdgeLabelVisibility(temp0);
      }
    else
      {
      op->SetEdgeLabelVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetEdgeLabelVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetEdgeLabelVisibility();
      }
    else
      {
      temp20 = op->GetEdgeLabelVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_EdgeLabelVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::EdgeLabelVisibilityOn();
      }
    else
      {
      op->EdgeLabelVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_EdgeLabelVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::EdgeLabelVisibilityOff();
      }
    else
      {
      op->EdgeLabelVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetVertexColorArrayName(temp0);
      }
    else
      {
      op->SetVertexColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetVertexColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetVertexColorArrayName();
      }
    else
      {
      temp20 = op->GetVertexColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetColorVertices(temp0);
      }
    else
      {
      op->SetColorVertices(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetColorVertices(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetColorVertices();
      }
    else
      {
      temp20 = op->GetColorVertices();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ColorVerticesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ColorVerticesOn();
      }
    else
      {
      op->ColorVerticesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ColorVerticesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ColorVerticesOff();
      }
    else
      {
      op->ColorVerticesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetEdgeColorArrayName(temp0);
      }
    else
      {
      op->SetEdgeColorArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetEdgeColorArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetEdgeColorArrayName();
      }
    else
      {
      temp20 = op->GetEdgeColorArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetEdgeColorToSplineFraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetEdgeColorToSplineFraction();
      }
    else
      {
      op->SetEdgeColorToSplineFraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetColorEdges(temp0);
      }
    else
      {
      op->SetColorEdges(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetColorEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetColorEdges();
      }
    else
      {
      temp20 = op->GetColorEdges();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ColorEdgesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ColorEdgesOn();
      }
    else
      {
      op->ColorEdgesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ColorEdgesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ColorEdgesOff();
      }
    else
      {
      op->ColorEdgesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetRadialLayout(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetRadialLayout(temp0);
      }
    else
      {
      op->SetRadialLayout(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetRadialAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetRadialAngle(temp0);
      }
    else
      {
      op->SetRadialAngle(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetLogSpacingFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  double   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetLogSpacingFactor(temp0);
      }
    else
      {
      op->SetLogSpacingFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetLeafSpacing(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  double   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetLeafSpacing(temp0);
      }
    else
      {
      op->SetLeafSpacing(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetBundlingStrength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  double   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetBundlingStrength(temp0);
      }
    else
      {
      op->SetBundlingStrength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetTreeVisibilityRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetTreeVisibilityRepresentation();
      }
    else
      {
      temp20 = op->GetTreeVisibilityRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetGraphRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetGraphRepresentation();
      }
    else
      {
      temp20 = op->GetGraphRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetTreeRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkDataRepresentation  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetTreeRepresentation();
      }
    else
      {
      temp20 = op->GetTreeRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetIconTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkTexture  *temp0;
  PyObject *tempH0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTexture *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTexture");
    if (!temp0 && tempH0 != Py_None) goto break41;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetIconTexture(temp0);
      }
    else
      {
      op->SetIconTexture(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break41:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_AddIconType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  int      temp1;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::AddIconType(temp0,temp1);
      }
    else
      {
      op->AddIconType(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ClearIconTypes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ClearIconTypes();
      }
    else
      {
      op->ClearIconTypes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetIconAlignment(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetIconAlignment(temp0);
      }
    else
      {
      op->SetIconAlignment(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetIconVisibility(temp0);
      }
    else
      {
      op->SetIconVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetIconVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetIconVisibility();
      }
    else
      {
      temp20 = op->GetIconVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_IconVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::IconVisibilityOn();
      }
    else
      {
      op->IconVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_IconVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::IconVisibilityOff();
      }
    else
      {
      op->IconVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetIconArrayName(temp0);
      }
    else
      {
      op->SetIconArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetIconArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetIconArrayName();
      }
    else
      {
      temp20 = op->GetIconArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetTreeEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetTreeEdgeVisibility(temp0);
      }
    else
      {
      op->SetTreeEdgeVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetTreeEdgeVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetTreeEdgeVisibility();
      }
    else
      {
      temp20 = op->GetTreeEdgeVisibility();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_TreeEdgeVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::TreeEdgeVisibilityOn();
      }
    else
      {
      op->TreeEdgeVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_TreeEdgeVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::TreeEdgeVisibilityOff();
      }
    else
      {
      op->TreeEdgeVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetScalingArrayName(temp0);
      }
    else
      {
      op->SetScalingArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetScalingArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetScalingArrayName();
      }
    else
      {
      temp20 = op->GetScalingArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetScaledGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"b", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetScaledGlyphs(temp0);
      }
    else
      {
      op->SetScaledGlyphs(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetScaledGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  bool   temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetScaledGlyphs();
      }
    else
      {
      temp20 = op->GetScaledGlyphs();
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ScaledGlyphsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ScaledGlyphsOn();
      }
    else
      {
      op->ScaledGlyphsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ScaledGlyphsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ScaledGlyphsOff();
      }
    else
      {
      op->ScaledGlyphsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  char    *temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkGraphLayoutStrategy  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkGraphLayoutStrategy *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkGraphLayoutStrategy");
    if (!temp0 && tempH0 != Py_None) goto break66;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetLayoutStrategy(temp0);
      }
    else
      {
      op->SetLayoutStrategy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break66:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetLayoutStrategyToTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetLayoutStrategyToTree();
      }
    else
      {
      op->SetLayoutStrategyToTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetLayoutStrategyToCosmicTree(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetLayoutStrategyToCosmicTree();
      }
    else
      {
      op->SetLayoutStrategyToCosmicTree();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetLayoutStrategyName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  const char    *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetLayoutStrategyName();
      }
    else
      {
      temp20 = op->GetLayoutStrategyName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetLayoutStrategy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkGraphLayoutStrategy  *temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetLayoutStrategy();
      }
    else
      {
      temp20 = op->GetLayoutStrategy();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetupRenderWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkRenderWindow  *temp0;
  PyObject *tempH0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderWindow");
    if (!temp0 && tempH0 != Py_None) goto break67;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetupRenderWindow(temp0);
      }
    else
      {
      op->SetupRenderWindow(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break67:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break68;
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break68:
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetVertexLabelFontSize(temp0);
      }
    else
      {
      op->SetVertexLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetVertexLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetVertexLabelFontSize();
      }
    else
      {
      temp20 = op->GetVertexLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_SetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp0;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkHierarchicalGraphView::SetEdgeLabelFontSize(temp0);
      }
    else
      {
      op->SetEdgeLabelFontSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkHierarchicalGraphView_GetEdgeLabelFontSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkHierarchicalGraphView *op;

  int      temp20;
  op = (vtkHierarchicalGraphView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkHierarchicalGraphView::GetEdgeLabelFontSize();
      }
    else
      {
      temp20 = op->GetEdgeLabelFontSize();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkHierarchicalGraphViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkHierarchicalGraphView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkHierarchicalGraphView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkHierarchicalGraphView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkHierarchicalGraphView\nC++: vtkHierarchicalGraphView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkHierarchicalGraphView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkHierarchicalGraphView\nC++: vtkHierarchicalGraphView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetHierarchyFromInputConnection",                (PyCFunction)PyvtkHierarchicalGraphView_SetHierarchyFromInputConnection, 1,
   (char*)"V.SetHierarchyFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetHierarchyFromInputConnection (vtkAlgorithmOutput *conn);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetHierarchyFromInput",                (PyCFunction)PyvtkHierarchicalGraphView_SetHierarchyFromInput, 1,
   (char*)"V.SetHierarchyFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetHierarchyFromInput (vtkDataObject *input);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphFromInputConnection",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphFromInputConnection, 1,
   (char*)"V.SetGraphFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetGraphFromInputConnection (vtkAlgorithmOutput *conn);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetGraphFromInput",                (PyCFunction)PyvtkHierarchicalGraphView_SetGraphFromInput, 1,
   (char*)"V.SetGraphFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetGraphFromInput (vtkDataObject *input);\n\n Set the tree and graph representations to the appropriate input ports.\n"},
  {(char*)"SetVertexLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetVertexLabelArrayName, 1,
   (char*)"V.SetVertexLabelArrayName(string)\nC++: void SetVertexLabelArrayName (const char *name);\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"GetVertexLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetVertexLabelArrayName, 1,
   (char*)"V.GetVertexLabelArrayName() -> string\nC++: const char *GetVertexLabelArrayName ();\n\n The array to use for vertex labeling.  Default is \"label\".\n"},
  {(char*)"SetEdgeLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetEdgeLabelArrayName, 1,
   (char*)"V.SetEdgeLabelArrayName(string)\nC++: void SetEdgeLabelArrayName (const char *name);\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"GetEdgeLabelArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetEdgeLabelArrayName, 1,
   (char*)"V.GetEdgeLabelArrayName() -> string\nC++: const char *GetEdgeLabelArrayName ();\n\n The array to use for edge labeling.  Default is \"label\".\n"},
  {(char*)"SetVertexLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_SetVertexLabelVisibility, 1,
   (char*)"V.SetVertexLabelVisibility(bool)\nC++: void SetVertexLabelVisibility (bool vis);\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"GetVertexLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_GetVertexLabelVisibility, 1,
   (char*)"V.GetVertexLabelVisibility() -> bool\nC++: bool GetVertexLabelVisibility ();\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"VertexLabelVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphView_VertexLabelVisibilityOn, 1,
   (char*)"V.VertexLabelVisibilityOn()\nC++: void VertexLabelVisibilityOn ();\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"VertexLabelVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphView_VertexLabelVisibilityOff, 1,
   (char*)"V.VertexLabelVisibilityOff()\nC++: void VertexLabelVisibilityOff ();\n\n Whether to show vertex labels.  Default is off.\n"},
  {(char*)"SetEdgeLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_SetEdgeLabelVisibility, 1,
   (char*)"V.SetEdgeLabelVisibility(bool)\nC++: void SetEdgeLabelVisibility (bool vis);\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"GetEdgeLabelVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_GetEdgeLabelVisibility, 1,
   (char*)"V.GetEdgeLabelVisibility() -> bool\nC++: bool GetEdgeLabelVisibility ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"EdgeLabelVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphView_EdgeLabelVisibilityOn, 1,
   (char*)"V.EdgeLabelVisibilityOn()\nC++: void EdgeLabelVisibilityOn ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"EdgeLabelVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphView_EdgeLabelVisibilityOff, 1,
   (char*)"V.EdgeLabelVisibilityOff()\nC++: void EdgeLabelVisibilityOff ();\n\n Whether to show edge labels.  Default is off.\n"},
  {(char*)"SetVertexColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetVertexColorArrayName, 1,
   (char*)"V.SetVertexColorArrayName(string)\nC++: void SetVertexColorArrayName (const char *name);\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"GetVertexColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetVertexColorArrayName, 1,
   (char*)"V.GetVertexColorArrayName() -> string\nC++: const char *GetVertexColorArrayName ();\n\n The array to use for coloring vertices.  Default is \"color\".\n"},
  {(char*)"SetColorVertices",                (PyCFunction)PyvtkHierarchicalGraphView_SetColorVertices, 1,
   (char*)"V.SetColorVertices(bool)\nC++: void SetColorVertices (bool vis);\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"GetColorVertices",                (PyCFunction)PyvtkHierarchicalGraphView_GetColorVertices, 1,
   (char*)"V.GetColorVertices() -> bool\nC++: bool GetColorVertices ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorVerticesOn",                (PyCFunction)PyvtkHierarchicalGraphView_ColorVerticesOn, 1,
   (char*)"V.ColorVerticesOn()\nC++: void ColorVerticesOn ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"ColorVerticesOff",                (PyCFunction)PyvtkHierarchicalGraphView_ColorVerticesOff, 1,
   (char*)"V.ColorVerticesOff()\nC++: void ColorVerticesOff ();\n\n Whether to color vertices.  Default is off.\n"},
  {(char*)"SetEdgeColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetEdgeColorArrayName, 1,
   (char*)"V.SetEdgeColorArrayName(string)\nC++: void SetEdgeColorArrayName (const char *name);\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"GetEdgeColorArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetEdgeColorArrayName, 1,
   (char*)"V.GetEdgeColorArrayName() -> string\nC++: const char *GetEdgeColorArrayName ();\n\n The array to use for coloring edges.  Default is \"color\".\n"},
  {(char*)"SetEdgeColorToSplineFraction",                (PyCFunction)PyvtkHierarchicalGraphView_SetEdgeColorToSplineFraction, 1,
   (char*)"V.SetEdgeColorToSplineFraction()\nC++: void SetEdgeColorToSplineFraction ();\n\n Set the color to be the spline fraction\n"},
  {(char*)"SetColorEdges",                (PyCFunction)PyvtkHierarchicalGraphView_SetColorEdges, 1,
   (char*)"V.SetColorEdges(bool)\nC++: void SetColorEdges (bool vis);\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"GetColorEdges",                (PyCFunction)PyvtkHierarchicalGraphView_GetColorEdges, 1,
   (char*)"V.GetColorEdges() -> bool\nC++: bool GetColorEdges ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOn",                (PyCFunction)PyvtkHierarchicalGraphView_ColorEdgesOn, 1,
   (char*)"V.ColorEdgesOn()\nC++: void ColorEdgesOn ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"ColorEdgesOff",                (PyCFunction)PyvtkHierarchicalGraphView_ColorEdgesOff, 1,
   (char*)"V.ColorEdgesOff()\nC++: void ColorEdgesOff ();\n\n Whether to color edges.  Default is off.\n"},
  {(char*)"SetRadialLayout",                (PyCFunction)PyvtkHierarchicalGraphView_SetRadialLayout, 1,
   (char*)"V.SetRadialLayout(bool)\nC++: void SetRadialLayout (bool radial);\n\n Set whether to use radial layout.\n"},
  {(char*)"SetRadialAngle",                (PyCFunction)PyvtkHierarchicalGraphView_SetRadialAngle, 1,
   (char*)"V.SetRadialAngle(int)\nC++: void SetRadialAngle (int angle);\n\n Set the radial layout angle.\n"},
  {(char*)"SetLogSpacingFactor",                (PyCFunction)PyvtkHierarchicalGraphView_SetLogSpacingFactor, 1,
   (char*)"V.SetLogSpacingFactor(float)\nC++: void SetLogSpacingFactor (double spacing);\n\n Set the log spacing for the layout.\n"},
  {(char*)"SetLeafSpacing",                (PyCFunction)PyvtkHierarchicalGraphView_SetLeafSpacing, 1,
   (char*)"V.SetLeafSpacing(float)\nC++: void SetLeafSpacing (double spacing);\n\n Set the leaf spacing for the layout.\n"},
  {(char*)"SetBundlingStrength",                (PyCFunction)PyvtkHierarchicalGraphView_SetBundlingStrength, 1,
   (char*)"V.SetBundlingStrength(float)\nC++: void SetBundlingStrength (double strength);\n\n Set the bundling strength.\n"},
  {(char*)"GetTreeVisibilityRepresentation",                (PyCFunction)PyvtkHierarchicalGraphView_GetTreeVisibilityRepresentation, 1,
   (char*)"V.GetTreeVisibilityRepresentation() -> vtkDataRepresentation\nC++: virtual vtkDataRepresentation *GetTreeVisibilityRepresentation ();\n\n Retrieve a special representation whose selection link controls\n what tree nodes are visible. After extracting the selection,\n the resulting graph must be a tree or an error will result.\n"},
  {(char*)"GetGraphRepresentation",                (PyCFunction)PyvtkHierarchicalGraphView_GetGraphRepresentation, 1,
   (char*)"V.GetGraphRepresentation() -> vtkDataRepresentation\nC++: virtual vtkDataRepresentation *GetGraphRepresentation ();return this GetRepresentation \n\n Retrieve the graph and tree representations.\n"},
  {(char*)"GetTreeRepresentation",                (PyCFunction)PyvtkHierarchicalGraphView_GetTreeRepresentation, 1,
   (char*)"V.GetTreeRepresentation() -> vtkDataRepresentation\nC++: virtual vtkDataRepresentation *GetTreeRepresentation ();return this GetRepresentation \n\n The icon sheet to use for textures.\n"},
  {(char*)"SetIconTexture",                (PyCFunction)PyvtkHierarchicalGraphView_SetIconTexture, 1,
   (char*)"V.SetIconTexture(vtkTexture)\nC++: void SetIconTexture (vtkTexture *texture);\n\n The icon sheet to use for textures.\n"},
  {(char*)"AddIconType",                (PyCFunction)PyvtkHierarchicalGraphView_AddIconType, 1,
   (char*)"V.AddIconType(string, int)\nC++: void AddIconType (char *type, int index);\n\n Associate the icon at index \"index\" in the vtkTexture to all vertices\n containing \"type\" as a value in the vertex attribute array specified by\n IconArrayName.\n"},
  {(char*)"ClearIconTypes",                (PyCFunction)PyvtkHierarchicalGraphView_ClearIconTypes, 1,
   (char*)"V.ClearIconTypes()\nC++: void ClearIconTypes ();\n\n Clear all icon mappings.\n"},
  {(char*)"SetIconAlignment",                (PyCFunction)PyvtkHierarchicalGraphView_SetIconAlignment, 1,
   (char*)"V.SetIconAlignment(int)\nC++: void SetIconAlignment (int alignment);\n\n Specify where the icons should be placed in relation to the vertex.\n See vtkIconGlyphFilter.h for possible values.\n"},
  {(char*)"SetIconVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_SetIconVisibility, 1,
   (char*)"V.SetIconVisibility(bool)\nC++: void SetIconVisibility (bool b);\n\n Whether icons are visible (default off).\n"},
  {(char*)"GetIconVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_GetIconVisibility, 1,
   (char*)"V.GetIconVisibility() -> bool\nC++: bool GetIconVisibility ();\n\n Whether icons are visible (default off).\n"},
  {(char*)"IconVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphView_IconVisibilityOn, 1,
   (char*)"V.IconVisibilityOn()\nC++: void IconVisibilityOn ();\n\n Whether icons are visible (default off).\n"},
  {(char*)"IconVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphView_IconVisibilityOff, 1,
   (char*)"V.IconVisibilityOff()\nC++: void IconVisibilityOff ();\n\n Whether icons are visible (default off).\n"},
  {(char*)"SetIconArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetIconArrayName, 1,
   (char*)"V.SetIconArrayName(string)\nC++: void SetIconArrayName (const char *name);\n\n The array used for assigning icons\n"},
  {(char*)"GetIconArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetIconArrayName, 1,
   (char*)"V.GetIconArrayName() -> string\nC++: const char *GetIconArrayName ();\n\n The array used for assigning icons\n"},
  {(char*)"SetTreeEdgeVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_SetTreeEdgeVisibility, 1,
   (char*)"V.SetTreeEdgeVisibility(bool)\nC++: void SetTreeEdgeVisibility (bool b);\n\n Whether the TREE edges are visible (default off).\n"},
  {(char*)"GetTreeEdgeVisibility",                (PyCFunction)PyvtkHierarchicalGraphView_GetTreeEdgeVisibility, 1,
   (char*)"V.GetTreeEdgeVisibility() -> bool\nC++: bool GetTreeEdgeVisibility ();\n\n Whether the TREE edges are visible (default off).\n"},
  {(char*)"TreeEdgeVisibilityOn",                (PyCFunction)PyvtkHierarchicalGraphView_TreeEdgeVisibilityOn, 1,
   (char*)"V.TreeEdgeVisibilityOn()\nC++: void TreeEdgeVisibilityOn ();\n\n Whether the TREE edges are visible (default off).\n"},
  {(char*)"TreeEdgeVisibilityOff",                (PyCFunction)PyvtkHierarchicalGraphView_TreeEdgeVisibilityOff, 1,
   (char*)"V.TreeEdgeVisibilityOff()\nC++: void TreeEdgeVisibilityOff ();\n\n Whether the TREE edges are visible (default off).\n"},
  {(char*)"SetScalingArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_SetScalingArrayName, 1,
   (char*)"V.SetScalingArrayName(string)\nC++: void SetScalingArrayName (const char *name);\n\n The array used for scaling (if ScaledGlyphs is ON)\n"},
  {(char*)"GetScalingArrayName",                (PyCFunction)PyvtkHierarchicalGraphView_GetScalingArrayName, 1,
   (char*)"V.GetScalingArrayName() -> string\nC++: const char *GetScalingArrayName ();\n\n The array used for scaling (if ScaledGlyphs is ON)\n"},
  {(char*)"SetScaledGlyphs",                (PyCFunction)PyvtkHierarchicalGraphView_SetScaledGlyphs, 1,
   (char*)"V.SetScaledGlyphs(bool)\nC++: void SetScaledGlyphs (bool arg);\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"GetScaledGlyphs",                (PyCFunction)PyvtkHierarchicalGraphView_GetScaledGlyphs, 1,
   (char*)"V.GetScaledGlyphs() -> bool\nC++: bool GetScaledGlyphs ();\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"ScaledGlyphsOn",                (PyCFunction)PyvtkHierarchicalGraphView_ScaledGlyphsOn, 1,
   (char*)"V.ScaledGlyphsOn()\nC++: void ScaledGlyphsOn ();\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"ScaledGlyphsOff",                (PyCFunction)PyvtkHierarchicalGraphView_ScaledGlyphsOff, 1,
   (char*)"V.ScaledGlyphsOff()\nC++: void ScaledGlyphsOff ();\n\n Whether to use scaled glyphs or not.  Default is off.\n"},
  {(char*)"SetLayoutStrategy",                (PyCFunction)PyvtkHierarchicalGraphView_SetLayoutStrategy, 1,
   (char*)"V.SetLayoutStrategy(string)\nC++: void SetLayoutStrategy (const char *name);\nV.SetLayoutStrategy(vtkGraphLayoutStrategy)\nC++: void SetLayoutStrategy (vtkGraphLayoutStrategy *s);\n\n The layout strategy to use when performing the tree layout.\n The possible strings are:\n   \"Tree\"           - The regular tree layout.\n   \"CosmicTree\"      - A tree layout using orbits (not well tested)\n Default is \"Tree\".\n"},
  {(char*)"SetLayoutStrategyToTree",                (PyCFunction)PyvtkHierarchicalGraphView_SetLayoutStrategyToTree, 1,
   (char*)"V.SetLayoutStrategyToTree()\nC++: void SetLayoutStrategyToTree ();this SetLayoutStrategy \n\n The layout strategy to use when performing the tree layout.\n The possible strings are:\n   \"Tree\"           - The regular tree layout.\n   \"CosmicTree\"      - A tree layout using orbits (not well tested)\n Default is \"Tree\".\n"},
  {(char*)"SetLayoutStrategyToCosmicTree",                (PyCFunction)PyvtkHierarchicalGraphView_SetLayoutStrategyToCosmicTree, 1,
   (char*)"V.SetLayoutStrategyToCosmicTree()\nC++: void SetLayoutStrategyToCosmicTree ();this SetLayoutStrategy \n\n The layout strategy to use when performing the tree layout.\n The possible strings are:\n   \"Tree\"           - The regular tree layout.\n   \"CosmicTree\"      - A tree layout using orbits (not well tested)\n Default is \"Tree\".\n"},
  {(char*)"GetLayoutStrategyName",                (PyCFunction)PyvtkHierarchicalGraphView_GetLayoutStrategyName, 1,
   (char*)"V.GetLayoutStrategyName() -> string\nC++: const char *GetLayoutStrategyName ();return this GetLayoutStrategyNameInternal \n\n The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n"},
  {(char*)"GetLayoutStrategy",                (PyCFunction)PyvtkHierarchicalGraphView_GetLayoutStrategy, 1,
   (char*)"V.GetLayoutStrategy() -> vtkGraphLayoutStrategy\nC++: vtkGraphLayoutStrategy *GetLayoutStrategy ();\n\n The layout strategy to use when performing the graph layout.\n This signature allows an application to create a layout\n object directly and simply set the pointer through this method\n"},
  {(char*)"SetupRenderWindow",                (PyCFunction)PyvtkHierarchicalGraphView_SetupRenderWindow, 1,
   (char*)"V.SetupRenderWindow(vtkRenderWindow)\nC++: virtual void SetupRenderWindow (vtkRenderWindow *win);\n\n Sets up interactor style.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkHierarchicalGraphView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *theme);\n\n Apply the theme to this view.\n"},
  {(char*)"SetVertexLabelFontSize",                (PyCFunction)PyvtkHierarchicalGraphView_SetVertexLabelFontSize, 1,
   (char*)"V.SetVertexLabelFontSize(int)\nC++: virtual void SetVertexLabelFontSize (const int size);\n\n The size of the font used for vertex labeling\n"},
  {(char*)"GetVertexLabelFontSize",                (PyCFunction)PyvtkHierarchicalGraphView_GetVertexLabelFontSize, 1,
   (char*)"V.GetVertexLabelFontSize() -> int\nC++: virtual int GetVertexLabelFontSize ();\n\n The size of the font used for vertex labeling\n"},
  {(char*)"SetEdgeLabelFontSize",                (PyCFunction)PyvtkHierarchicalGraphView_SetEdgeLabelFontSize, 1,
   (char*)"V.SetEdgeLabelFontSize(int)\nC++: virtual void SetEdgeLabelFontSize (const int size);\n\n The size of the font used for edge labeling\n"},
  {(char*)"GetEdgeLabelFontSize",                (PyCFunction)PyvtkHierarchicalGraphView_GetEdgeLabelFontSize, 1,
   (char*)"V.GetEdgeLabelFontSize() -> int\nC++: virtual int GetEdgeLabelFontSize ();\n\n The size of the font used for edge labeling\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkHierarchicalGraphViewDoc[] = {
  (char*)"vtkHierarchicalGraphView - Accepts a graph and a hierarchy - currently\n\n",
  "Super Class:\n\n vtkRenderView\n\n",
  (char*)" Takes a graph and a hierarchy (currently a tree) and lays out the graph \n vertices based on their categorization within the hierarchy.\n\n .SEE ALSO\n vtkTreeLayoutView\n vtkGraphLayoutView\n\n .SECTION Thanks\n Thanks to the turtle with jets for feet, without you this class wouldn't \n have been possible.\n\n",
  NULL
};

static vtkObjectBase *vtkHierarchicalGraphViewStaticNew()
{
  return vtkHierarchicalGraphView::New();
}

PyObject *PyVTKClass_vtkHierarchicalGraphViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkHierarchicalGraphViewStaticNew,
                        PyvtkHierarchicalGraphViewMethods,
                        (char*)"vtkHierarchicalGraphView",modulename,
                        (char**)vtkHierarchicalGraphViewDoc,
                        PyVTKClass_vtkRenderViewNew(modulename));
}

