// python wrapper for vtkView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkView.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkViewNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkViewNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkView_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  const char    *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkView_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  char    *temp0;
  int      temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkView  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkView  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkView::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkView_AddRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::AddRepresentation(temp0);
      }
    else
      {
      op->AddRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataRepresentation  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::AddRepresentation(temp0,temp1);
      }
    else
      {
      op->AddRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkView_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataRepresentation  *temp1;
  PyObject *tempH1;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::SetRepresentation(temp0,temp1);
      }
    else
      {
      op->SetRepresentation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  int      temp1;
  vtkDataRepresentation  *temp2;
  PyObject *tempH2;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataRepresentation");
    if (!temp2 && tempH2 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::SetRepresentation(temp0,temp1,temp2);
      }
    else
      {
      op->SetRepresentation(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkView_AddRepresentationFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::AddRepresentationFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->AddRepresentationFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::AddRepresentationFromInputConnection(temp0,temp1);
      }
    else
      {
      temp20 = op->AddRepresentationFromInputConnection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkView_SetRepresentationFromInputConnection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::SetRepresentationFromInputConnection(temp0);
      }
    else
      {
      temp20 = op->SetRepresentationFromInputConnection(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break11:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkAlgorithmOutput  *temp1;
  PyObject *tempH1;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkAlgorithmOutput");
    if (!temp1 && tempH1 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::SetRepresentationFromInputConnection(temp0,temp1);
      }
    else
      {
      temp20 = op->SetRepresentationFromInputConnection(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break12:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  int      temp1;
  vtkAlgorithmOutput  *temp2;
  PyObject *tempH2;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkAlgorithmOutput");
    if (!temp2 && tempH2 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::SetRepresentationFromInputConnection(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetRepresentationFromInputConnection(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkView_AddRepresentationFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::AddRepresentationFromInput(temp0);
      }
    else
      {
      temp20 = op->AddRepresentationFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break14:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::AddRepresentationFromInput(temp0,temp1);
      }
    else
      {
      temp20 = op->AddRepresentationFromInput(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkView_SetRepresentationFromInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataObject  *temp0;
  PyObject *tempH0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataObject");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::SetRepresentationFromInput(temp0);
      }
    else
      {
      temp20 = op->SetRepresentationFromInput(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break16:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataObject  *temp1;
  PyObject *tempH1;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataObject");
    if (!temp1 && tempH1 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::SetRepresentationFromInput(temp0,temp1);
      }
    else
      {
      temp20 = op->SetRepresentationFromInput(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break17:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  int      temp1;
  vtkDataObject  *temp2;
  PyObject *tempH2;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iiO", &temp0, &temp1, &tempH2);
  if (op)
    {
    temp2 = (vtkDataObject *)vtkPythonGetPointerFromObject(tempH2,(char*)"vtkDataObject");
    if (!temp2 && tempH2 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::SetRepresentationFromInput(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->SetRepresentationFromInput(temp0,temp1,temp2);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkView_RemoveRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveRepresentation(temp0);
      }
    else
      {
      op->RemoveRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  /* handle an occurrence */
  {
  vtkView *op;

  vtkAlgorithmOutput  *temp0;
  PyObject *tempH0;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAlgorithmOutput *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAlgorithmOutput");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveRepresentation(temp0);
      }
    else
      {
      op->RemoveRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkView_RemoveAllRepresentations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveAllRepresentations();
      }
    else
      {
      op->RemoveAllRepresentations();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveAllRepresentations(temp0);
      }
    else
      {
      op->RemoveAllRepresentations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkView_GetNumberOfRepresentations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetNumberOfRepresentations();
      }
    else
      {
      temp20 = op->GetNumberOfRepresentations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetNumberOfRepresentations(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfRepresentations(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataRepresentation  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetRepresentation(temp0);
      }
    else
      {
      temp20 = op->GetRepresentation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  int      temp1;
  vtkDataRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetRepresentation(temp0,temp1);
      }
    else
      {
      temp20 = op->GetRepresentation(temp0,temp1);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_IsItemPresent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  bool   temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::IsItemPresent(temp0);
      }
    else
      {
      temp20 = op->IsItemPresent(temp0);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break27:
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  vtkDataRepresentation  *temp1;
  PyObject *tempH1;
  bool   temp20;
  PyErr_Clear();
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"iO", &temp0, &tempH1);
  if (op)
    {
    temp1 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkDataRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::IsItemPresent(temp0,temp1);
      }
    else
      {
      temp20 = op->IsItemPresent(temp0,temp1);
      }
#if PY_VERSION_HEX >= 0x02030000
    return PyBool_FromLong(temp20);
#else
    return PyInt_FromLong((long)temp20);
#endif
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkView_RemoveItem(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkDataRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RemoveItem(temp0);
      }
    else
      {
      op->RemoveItem(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkView_Update(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::Update();
      }
    else
      {
      op->Update();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkViewTheme  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewTheme *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewTheme");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::ApplyViewTheme(temp0);
      }
    else
      {
      op->ApplyViewTheme(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkView_SetSelectionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::SetSelectionType(temp0);
      }
    else
      {
      op->SetSelectionType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkView_GetSelectionType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  int      temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetSelectionType();
      }
    else
      {
      temp20 = op->GetSelectionType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_SetSelectionArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkStringArray  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkStringArray *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkStringArray");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::SetSelectionArrayNames(temp0);
      }
    else
      {
      op->SetSelectionArrayNames(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkView_GetSelectionArrayNames(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkStringArray  *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetSelectionArrayNames();
      }
    else
      {
      temp20 = op->GetSelectionArrayNames();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkView_SetSelectionArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  char    *temp0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkView::SetSelectionArrayName(temp0);
      }
    else
      {
      op->SetSelectionArrayName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkView_GetSelectionArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  const char    *temp20;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkView::GetSelectionArrayName();
      }
    else
      {
      temp20 = op->GetSelectionArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkView_RegisterProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  char    *temp1;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"Oz", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::RegisterProgress(temp0,temp1);
      }
    else
      {
      op->RegisterProgress(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkView_UnRegisterProgress(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkView *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  op = (vtkView *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkView::UnRegisterProgress(temp0);
      }
    else
      {
      op->UnRegisterProgress(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}

static PyMethodDef PyvtkViewMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkView\nC++: vtkView *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkView\nC++: vtkView *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"AddRepresentation",                (PyCFunction)PyvtkView_AddRepresentation, 1,
   (char*)"V.AddRepresentation(vtkDataRepresentation)\nC++: void AddRepresentation (vtkDataRepresentation *rep);\nV.AddRepresentation(int, vtkDataRepresentation)\nC++: void AddRepresentation (int port, vtkDataRepresentation *rep);\n\n Adds the representation to the view.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkView_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkDataRepresentation)\nC++: void SetRepresentation (vtkDataRepresentation *rep);\nV.SetRepresentation(int, vtkDataRepresentation)\nC++: void SetRepresentation (int port, vtkDataRepresentation *rep);\nV.SetRepresentation(int, int, vtkDataRepresentation)\nC++: void SetRepresentation (int port, int index, vtkDataRepresentation *rep);\n\n Set the representation to the view.\n"},
  {(char*)"AddRepresentationFromInputConnection",                (PyCFunction)PyvtkView_AddRepresentationFromInputConnection, 1,
   (char*)"V.AddRepresentationFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn);\nV.AddRepresentationFromInputConnection(int, vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *AddRepresentationFromInputConnection (int port, vtkAlgorithmOutput *conn);\n\n Convenience method which creates a simple representation with the \n connection and adds it to the view.\n Returns the representation internally created.\n NOTE: Implicitly adds a representation to the first port(0), first index(0).\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n"},
  {(char*)"SetRepresentationFromInputConnection",                (PyCFunction)PyvtkView_SetRepresentationFromInputConnection, 1,
   (char*)"V.SetRepresentationFromInputConnection(vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn);\nV.SetRepresentationFromInputConnection(int, vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetRepresentationFromInputConnection (int port, vtkAlgorithmOutput *conn);\nV.SetRepresentationFromInputConnection(int, int, vtkAlgorithmOutput) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetRepresentationFromInputConnection (int port, int index, vtkAlgorithmOutput *conn);\n\n Convenience method which sets the representation with the \n connection and adds it to the view.\n Returns the representation internally created.\n NOTE: Implicitly sets the representation to the first port(0), first index(0).\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n"},
  {(char*)"AddRepresentationFromInput",                (PyCFunction)PyvtkView_AddRepresentationFromInput, 1,
   (char*)"V.AddRepresentationFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *AddRepresentationFromInput (vtkDataObject *input);\nV.AddRepresentationFromInput(int, vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *AddRepresentationFromInput (int port, vtkDataObject *input);\n\n Convenience method which creates a simple representation with the \n specified input and adds it to the view.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n"},
  {(char*)"SetRepresentationFromInput",                (PyCFunction)PyvtkView_SetRepresentationFromInput, 1,
   (char*)"V.SetRepresentationFromInput(vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetRepresentationFromInput (vtkDataObject *input);\nV.SetRepresentationFromInput(int, vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetRepresentationFromInput (int port, vtkDataObject *input);\nV.SetRepresentationFromInput(int, int, vtkDataObject) -> vtkDataRepresentation\nC++: vtkDataRepresentation *SetRepresentationFromInput (int port, int index, vtkDataObject *input);\n\n Convenience method which sets the representation to the \n specified input and adds it to the view.\n NOTE: Implicitly sets the representation to the first port(0), first index(0).\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n"},
  {(char*)"RemoveRepresentation",                (PyCFunction)PyvtkView_RemoveRepresentation, 1,
   (char*)"V.RemoveRepresentation(vtkDataRepresentation)\nC++: void RemoveRepresentation (vtkDataRepresentation *rep);\nV.RemoveRepresentation(vtkAlgorithmOutput)\nC++: void RemoveRepresentation (vtkAlgorithmOutput *rep);\n\n Removes the representation from the view.\n"},
  {(char*)"RemoveAllRepresentations",                (PyCFunction)PyvtkView_RemoveAllRepresentations, 1,
   (char*)"V.RemoveAllRepresentations()\nC++: void RemoveAllRepresentations ();\nV.RemoveAllRepresentations(int)\nC++: void RemoveAllRepresentations (int port);\n\n Removes all representations from the view.\n"},
  {(char*)"GetNumberOfRepresentations",                (PyCFunction)PyvtkView_GetNumberOfRepresentations, 1,
   (char*)"V.GetNumberOfRepresentations() -> int\nC++: int GetNumberOfRepresentations ();\nV.GetNumberOfRepresentations(int) -> int\nC++: int GetNumberOfRepresentations (int port);\n\n Returns the number of representations from first port(0) in this view.\n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkView_GetRepresentation, 1,
   (char*)"V.GetRepresentation(int) -> vtkDataRepresentation\nC++: vtkDataRepresentation *GetRepresentation (int index);\nV.GetRepresentation(int, int) -> vtkDataRepresentation\nC++: vtkDataRepresentation *GetRepresentation (int port, int index);\n\n The representation at a specified index.\n"},
  {(char*)"IsItemPresent",                (PyCFunction)PyvtkView_IsItemPresent, 1,
   (char*)"V.IsItemPresent(vtkDataRepresentation) -> bool\nC++: bool IsItemPresent (vtkDataRepresentation *rep);\nV.IsItemPresent(int, vtkDataRepresentation) -> bool\nC++: bool IsItemPresent (int port, vtkDataRepresentation *rep);\n\n Check to see if a representation is present in the view.\n"},
  {(char*)"RemoveItem",                (PyCFunction)PyvtkView_RemoveItem, 1,
   (char*)"V.RemoveItem(vtkDataRepresentation)\nC++: void RemoveItem (vtkDataRepresentation *rep);\n\n Remove a representation from the view (FIXME).\n"},
  {(char*)"Update",                (PyCFunction)PyvtkView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update ();\n\n Apply a theme to the view.\n"},
  {(char*)"ApplyViewTheme",                (PyCFunction)PyvtkView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme (vtkViewTheme *);\n\n Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelection.h. Common values are\n vtkSelection::INDICES\n vtkSelection::PEDIGREEIDS\n vtkSelection::VALUES\n"},
  {(char*)"SetSelectionType",                (PyCFunction)PyvtkView_SetSelectionType, 1,
   (char*)"V.SetSelectionType(int)\nC++: void SetSelectionType (int );\n\n Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelection.h. Common values are\n vtkSelection::INDICES\n vtkSelection::PEDIGREEIDS\n vtkSelection::VALUES\n"},
  {(char*)"GetSelectionType",                (PyCFunction)PyvtkView_GetSelectionType, 1,
   (char*)"V.GetSelectionType() -> int\nC++: int GetSelectionType ();\n\n Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelection.h. Common values are\n vtkSelection::INDICES\n vtkSelection::PEDIGREEIDS\n vtkSelection::VALUES\n"},
  {(char*)"SetSelectionArrayNames",                (PyCFunction)PyvtkView_SetSelectionArrayNames, 1,
   (char*)"V.SetSelectionArrayNames(vtkStringArray)\nC++: virtual void SetSelectionArrayNames (vtkStringArray *names);\n\n If a VALUES selection, the arrays used to produce a selection.\n"},
  {(char*)"GetSelectionArrayNames",                (PyCFunction)PyvtkView_GetSelectionArrayNames, 1,
   (char*)"V.GetSelectionArrayNames() -> vtkStringArray\nC++: vtkStringArray *GetSelectionArrayNames ();\n\n If a VALUES selection, the arrays used to produce a selection.\n"},
  {(char*)"SetSelectionArrayName",                (PyCFunction)PyvtkView_SetSelectionArrayName, 1,
   (char*)"V.SetSelectionArrayName(string)\nC++: virtual void SetSelectionArrayName (const char *name);\n\n If a VALUES selection, the array used to produce a selection.\n"},
  {(char*)"GetSelectionArrayName",                (PyCFunction)PyvtkView_GetSelectionArrayName, 1,
   (char*)"V.GetSelectionArrayName() -> string\nC++: virtual const char *GetSelectionArrayName ();\n\n If a VALUES selection, the array used to produce a selection.\n"},
  {(char*)"RegisterProgress",                (PyCFunction)PyvtkView_RegisterProgress, 1,
   (char*)"V.RegisterProgress(vtkObject, string)\nC++: void RegisterProgress (vtkObject *algorithm, const char *messageNULL);\n\n Meant for use by subclasses and vtkRepresentation subclasses.\n Call this method to register vtkObjects (generally\n vtkAlgorithm subclasses) which fire vtkCommand::ProgressEvent with the\n view. The view listens to vtkCommand::ProgressEvent and fires\n ViewProgressEvent with ViewProgressEventCallData containing the message and\n the progress amount. If message is not provided, then the class name for\n the algorithm is used.\n"},
  {(char*)"UnRegisterProgress",                (PyCFunction)PyvtkView_UnRegisterProgress, 1,
   (char*)"V.UnRegisterProgress(vtkObject)\nC++: void UnRegisterProgress (vtkObject *algorithm);\n\n Unregister objects previously registered with RegisterProgress.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkViewDoc[] = {
  (char*)"vtkView - The superclass for all views.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkView is the superclass for views.  A view is generally an area of an\n application's canvas devoted to displaying one or more VTK data objects.\n Associated representations (subclasses of vtkDataRepresentation) are\n responsible for converting the data into a displayable format.  These\n representations are then added to the view.\n\n For views which display only one data object at a time you may se",
  (char*)"t a\n data object or pipeline connection directly on the view itself (e.g.\n vtkGraphLayoutView, vtkTreeLayoutView, vtkLandscapeView, vtkTreeMapView).\n The view will internally create a vtkDataRepresentation for the data.\n\n A view has the concept of linked selection.  If the same data is displayed\n in multiple views, their selections may be linked by setting the same\n vtkSelectionLink on their repre",
  (char*)"sentations (see vtkDataRepresentation).\n\n",
  NULL
};

static vtkObjectBase *vtkViewStaticNew()
{
  return vtkView::New();
}

PyObject *PyVTKClass_vtkViewNew(char *modulename)
{
  return PyVTKClass_New(&vtkViewStaticNew,
                        PyvtkViewMethods,
                        (char*)"vtkView",modulename,
                        (char**)vtkViewDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

