// tcl wrapper for vtkView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkView.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkViewNewCommand()
{
  vtkView *temp = vtkView::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkViewCppCommand(vtkView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkViewCppCommand(static_cast<vtkView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkViewCppCommand(vtkView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkView");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRepresentation",argv[1]))&&(argc == 3))
    {
    vtkDataRepresentation  *temp0;
    error = 0;

    temp0 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->AddRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataRepresentation  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->AddRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkDataRepresentation  *temp0;
    error = 0;

    temp0 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataRepresentation  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkDataRepresentation  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRepresentationFromInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddRepresentationFromInputConnection(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRepresentationFromInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddRepresentationFromInputConnection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentationFromInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetRepresentationFromInputConnection(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentationFromInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp1;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetRepresentationFromInputConnection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentationFromInputConnection",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp2;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetRepresentationFromInputConnection(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRepresentationFromInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddRepresentationFromInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRepresentationFromInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddRepresentationFromInput(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentationFromInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetRepresentationFromInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentationFromInput",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataObject  *temp1;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetRepresentationFromInput(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentationFromInput",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkDataObject  *temp2;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetRepresentationFromInput(temp0,temp1,temp2);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRepresentation",argv[1]))&&(argc == 3))
    {
    vtkDataRepresentation  *temp0;
    error = 0;

    temp0 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->RemoveRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRepresentation",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->RemoveRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllRepresentations",argv[1]))&&(argc == 2))
    {
    op->RemoveAllRepresentations();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllRepresentations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveAllRepresentations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRepresentations",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRepresentations();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRepresentations",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfRepresentations(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRepresentation(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentation",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkDataRepresentation  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRepresentation(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsItemPresent",argv[1]))&&(argc == 3))
    {
    vtkDataRepresentation  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsItemPresent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsItemPresent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkDataRepresentation  *temp1;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsItemPresent(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveItem",argv[1]))&&(argc == 3))
    {
    vtkDataRepresentation  *temp0;
    error = 0;

    temp0 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataRepresentation"),interp,error));
    if (!error)
    {
    op->RemoveItem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionArrayNames",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetSelectionArrayNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionArrayNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetSelectionArrayNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSelectionArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSelectionArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("RegisterProgress",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->RegisterProgress(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegisterProgress",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    op->UnRegisterProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddRepresentationFromInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddRepresentationFromInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationFromInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationFromInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationFromInputConnection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddRepresentationFromInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddRepresentationFromInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationFromInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationFromInput\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationFromInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllRepresentations\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllRepresentations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRepresentations\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRepresentations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsItemPresent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsItemPresent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionType\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionArrayNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionArrayName\n",NULL);
    Tcl_AppendResult(interp,"  RegisterProgress\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterProgress\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddRepresentation" );
    Tcl_DStringAppendElement ( &dString, "AddRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInput" );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInput" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInput" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInput" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveRepresentation" );
    Tcl_DStringAppendElement ( &dString, "RemoveRepresentation" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRepresentations" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRepresentations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRepresentations" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRepresentations" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "IsItemPresent" );
    Tcl_DStringAppendElement ( &dString, "IsItemPresent" );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionType" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionType" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayNames" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayName" );
    Tcl_DStringAppendElement ( &dString, "RegisterProgress" );
    Tcl_DStringAppendElement ( &dString, "UnRegisterProgress" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkView *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkView *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkView *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRepresentation */
    if ( strcmp ( argv[2], "AddRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRepresentation */
    Tcl_DStringAppendElement ( &dString, " Adds the representation to the view.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddRepresentation (vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for AddRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRepresentation */
    if ( strcmp ( argv[2], "AddRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRepresentation */
    Tcl_DStringAppendElement ( &dString, " Adds a representation to the specific port on the view\n" );
    Tcl_DStringAppendElement ( &dString, "void AddRepresentation (int port, vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for AddRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set the representation to the view.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation (vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Sets a representation of a specific port on the view\n NOTE: This will remove any existing representations on\n the specified port.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation (int port, vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Sets a representation of a specific port, for a specific\n index on the view.\n NOTE: This will remove any existing representations on\n the specified port, at the specific index.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation (int port, int index, vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRepresentationFromInputConnection */
    if ( strcmp ( argv[2], "AddRepresentationFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRepresentationFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience method which creates a simple representation with the \n connection and adds it to the view.\n Returns the representation internally created.\n NOTE: Implicitly adds a representation to the first port(0), first index(0).\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *AddRepresentationFromInputConnection (vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for AddRepresentationFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRepresentationFromInputConnection */
    if ( strcmp ( argv[2], "AddRepresentationFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRepresentationFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience method which creates a simple representation with the \n connection and adds it to the view.\n Returns the representation internally created.\n NOTE: Implicitly adds a representation to the first index(0) of the specified port.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *AddRepresentationFromInputConnection (int port, vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for AddRepresentationFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationFromInputConnection */
    if ( strcmp ( argv[2], "SetRepresentationFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience method which sets the representation with the \n connection and adds it to the view.\n Returns the representation internally created.\n NOTE: Implicitly sets the representation to the first port(0), first index(0).\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetRepresentationFromInputConnection (vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentationFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationFromInputConnection */
    if ( strcmp ( argv[2], "SetRepresentationFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience method which sets the first representation on the specified port.\n Returns the representation internally created.\n NOTE: Implicitly sets the representation to the first index(0) of the specified port.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetRepresentationFromInputConnection (int port, vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentationFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationFromInputConnection */
    if ( strcmp ( argv[2], "SetRepresentationFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience method which sets the representation for the index on the \n specified port and adds it to the view.\n Returns the representation internally created.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetRepresentationFromInputConnection (int port, int index, vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentationFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRepresentationFromInput */
    if ( strcmp ( argv[2], "AddRepresentationFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRepresentationFromInput */
    Tcl_DStringAppendElement ( &dString, " Convenience method which creates a simple representation with the \n specified input and adds it to the view.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *AddRepresentationFromInput (vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for AddRepresentationFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRepresentationFromInput */
    if ( strcmp ( argv[2], "AddRepresentationFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRepresentationFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRepresentationFromInput */
    Tcl_DStringAppendElement ( &dString, " Convenience method which creates a simple representation with the \n specified input and adds it to the view.\n NOTE: Implicitly adds a representation to the first index(0) of the specified port.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *AddRepresentationFromInput (int port, vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for AddRepresentationFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationFromInput */
    if ( strcmp ( argv[2], "SetRepresentationFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationFromInput */
    Tcl_DStringAppendElement ( &dString, " Convenience method which sets the representation to the \n specified input and adds it to the view.\n NOTE: Implicitly sets the representation to the first port(0), first index(0).\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetRepresentationFromInput (vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentationFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationFromInput */
    if ( strcmp ( argv[2], "SetRepresentationFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationFromInput */
    Tcl_DStringAppendElement ( &dString, " Convenience method which sets the first representation on the specified port.\n Returns the representation internally created.\n NOTE: Implicitly sets the representation to the first index(0) of the specified port.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetRepresentationFromInput (int port, vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentationFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationFromInput */
    if ( strcmp ( argv[2], "SetRepresentationFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationFromInput */
    Tcl_DStringAppendElement ( &dString, " Convenience method which sets the representation for the index on the \n specified port and adds it to the view.\n NOTE: The returned representation pointer is not reference-counted, \n so you MUST call Register() on the representation if you want to \n keep a reference to it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetRepresentationFromInput (int port, int index, vtkDataObject *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetRepresentationFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRepresentation */
    if ( strcmp ( argv[2], "RemoveRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRepresentation */
    Tcl_DStringAppendElement ( &dString, " Removes the representation from the view.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveRepresentation (vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for RemoveRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRepresentation */
    if ( strcmp ( argv[2], "RemoveRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRepresentation */
    Tcl_DStringAppendElement ( &dString, " Removes any representation with this connection from the view.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveRepresentation (vtkAlgorithmOutput *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for RemoveRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllRepresentations */
    if ( strcmp ( argv[2], "RemoveAllRepresentations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRepresentations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllRepresentations */
    Tcl_DStringAppendElement ( &dString, " Removes all representations from the view.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllRepresentations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for RemoveAllRepresentations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllRepresentations */
    if ( strcmp ( argv[2], "RemoveAllRepresentations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllRepresentations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllRepresentations */
    Tcl_DStringAppendElement ( &dString, " Removes all representations from the port.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllRepresentations (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for RemoveAllRepresentations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRepresentations */
    if ( strcmp ( argv[2], "GetNumberOfRepresentations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRepresentations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRepresentations */
    Tcl_DStringAppendElement ( &dString, " Returns the number of representations from first port(0) in this view.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRepresentations ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetNumberOfRepresentations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRepresentations */
    if ( strcmp ( argv[2], "GetNumberOfRepresentations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRepresentations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRepresentations */
    Tcl_DStringAppendElement ( &dString, " The number of representations from the port.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRepresentations (int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetNumberOfRepresentations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentation */
    if ( strcmp ( argv[2], "GetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentation */
    Tcl_DStringAppendElement ( &dString, " The representation at a specified index.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *GetRepresentation (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentation */
    if ( strcmp ( argv[2], "GetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentation */
    Tcl_DStringAppendElement ( &dString, " The representation at a specified port and index.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *GetRepresentation (int port, int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsItemPresent */
    if ( strcmp ( argv[2], "IsItemPresent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsItemPresent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsItemPresent */
    Tcl_DStringAppendElement ( &dString, " Check to see if a representation is present in the view.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsItemPresent (vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for IsItemPresent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsItemPresent */
    if ( strcmp ( argv[2], "IsItemPresent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsItemPresent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsItemPresent */
    Tcl_DStringAppendElement ( &dString, " Check to see if a representation is present in the specified port.\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsItemPresent (int port, vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for IsItemPresent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveItem */
    if ( strcmp ( argv[2], "RemoveItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveItem */
    Tcl_DStringAppendElement ( &dString, " Remove a representation from the view (FIXME).\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveItem (vtkDataRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for RemoveItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Apply a theme to the view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Update ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelection.h. Common values are\n vtkSelection::INDICES\n vtkSelection::PEDIGREEIDS\n vtkSelection::VALUES\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme (vtkViewTheme *);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionType */
    if ( strcmp ( argv[2], "SetSelectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionType */
    Tcl_DStringAppendElement ( &dString, " Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelection.h. Common values are\n vtkSelection::INDICES\n vtkSelection::PEDIGREEIDS\n vtkSelection::VALUES\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionType (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetSelectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionType */
    if ( strcmp ( argv[2], "GetSelectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionType */
    Tcl_DStringAppendElement ( &dString, " Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelection.h. Common values are\n vtkSelection::INDICES\n vtkSelection::PEDIGREEIDS\n vtkSelection::VALUES\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionType ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetSelectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionArrayNames */
    if ( strcmp ( argv[2], "SetSelectionArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionArrayNames */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the arrays used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionArrayNames (vtkStringArray *names);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetSelectionArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionArrayNames */
    if ( strcmp ( argv[2], "GetSelectionArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionArrayNames */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the arrays used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetSelectionArrayNames ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetSelectionArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionArrayName */
    if ( strcmp ( argv[2], "SetSelectionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionArrayName */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the array used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionArrayName (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for SetSelectionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionArrayName */
    if ( strcmp ( argv[2], "GetSelectionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionArrayName */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the array used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetSelectionArrayName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for GetSelectionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegisterProgress */
    if ( strcmp ( argv[2], "RegisterProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterProgress */
    Tcl_DStringAppendElement ( &dString, " Meant for use by subclasses and vtkRepresentation subclasses.\n Call this method to register vtkObjects (generally\n vtkAlgorithm subclasses) which fire vtkCommand::ProgressEvent with the\n view. The view listens to vtkCommand::ProgressEvent and fires\n ViewProgressEvent with ViewProgressEventCallData containing the message and\n the progress amount. If message is not provided, then the class name for\n the algorithm is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void RegisterProgress (vtkObject *algorithm, const char *messageNULL);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for RegisterProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegisterProgress */
    if ( strcmp ( argv[2], "UnRegisterProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegisterProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegisterProgress */
    Tcl_DStringAppendElement ( &dString, " Unregister objects previously registered with RegisterProgress.\n" );
    Tcl_DStringAppendElement ( &dString, "void UnRegisterProgress (vtkObject *algorithm);" );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    /* Closing for UnRegisterProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
